prefab = {
	username: "Chance", 
	overrideData: {hands: "Invisible"}, 
	spawn: {x: -219, y: 26.5, z: -88, r: 106},
	stopRadius: 5,
	follows: false,
	unreactive: true,
	attacks: false,
	apCondition: function(client, bot) {
		let s = Number(client.prop("q2s")) || 0;
		
		if(bot.roomId == "MarshCave") {
			if(s < 4) return false;
			return true;
		}
		
		if(s >= 4) return false;
		
		return true;
	}
}

dialogue = new Dialogue();

dialogue.mainMenu = ["fire", "puppies"];

let questId = "q2s";
let getMyQuestStage = function(client) {
	return Number(client.prop(questId)) || 0
}

dialogue.setSpeech(
	"greeting", "Greeting",
	[
		"*Woof* Help!"
	],
	{
		condition: function(client) {
			let stage = getMyQuestStage(client);
			if(stage <= 3 && stage > 0) return "pleasesave";
			if(stage == 4) return "thanks";
			if(stage == 5) return "thanks2";
		},
		responses: ["huhwhat"]
	}
);
dialogue.setSpeech(
	"pleasesave", "Greeting",
	[
		"*Woof* i hope you can save them soon :( the heat OH the heat :( *whimper*"
	]
);
dialogue.setSpeech(
	"fire", "Fire",
	[
		"*Woof* the fire came on december 14th. we didn't feel it at first... but the heat grew",
		"now the fires have spread underground where we live...",
		"where did the fires even come from?"
	],
	{
		responses: ["ancalagon"]
	}
);
dialogue.setSpeech(
	"ancalagon", "Ancalagon",
	[
		"*Woof* so the rumours are true... the flying mountain has returned to the world...",
		"what can dogs do against this evil? :( *whimper*"
	]
);
dialogue.setSpeech(
	"puppies", "Puppies",
	[
		"*Woof* they are only small. they are my puppies.",
		"there's five of them, one was born only days before the fire",
		"i don't know what hope there is for them to be alive anymore..."
	],
	{
		condition: function(client) {
			let stage = getMyQuestStage(client);
			if(stage >= 5) return "puppies2";
		}
	}
);
dialogue.setSpeech(
	"puppies2", "Puppies",
	[
		"*Woof* they are only small. they are my puppies.",
		"there's five of them, one was born only days before the fire",
		"thank you so much for saving them"
	]
);


dialogue.setSpeech(
	"huhwhat", "Huh?! You talk?",
	[
		"*Woof* no master... but you can HEAR my thoughts.",
		"but listen, please! we are in big danger!"
	],
	{
		responses: ["withwhat"]
	}
);
dialogue.setSpeech(
	"withwhat", "With what?",
	[
		"*Woof* the fire has destroyed so much habitat, even the caves are getting too hot",
		"me and my puppies have been living in the spider cave for days, but fire has blocked them in there",
		"a fire has trapped them and i dont know if they are alive :( *woof* *whimper*"
	],
	{
		responses: ["icanhelp", "lol"]
	}
);
dialogue.setSpeech(
	"icanhelp", "I can help",
	[
		"*Woof* oh thank you so much master! i will give you my newborn if you can save them!",
		"beware...there are many spiders. they are kinder to dogs than to penguins.",
		"please save them!"
	],
	{
		action: function(client) {
			client.setProp(questId, 1);
		},
		responses: []
	}
);
dialogue.setSpeech(
	"lol", "LOL!",
	[
		"*Woof* why are you laughing? :("
	],
	{
		responses: []
	}
);
dialogue.setSpeech(
	"thanks", "greeting",
	[
		"*Woof* thank you oh thank you so much! you have rescued us from that place",
		"*Woof* we'll be living in marsh cave from now on, far away from fire",
		"*Woof* as a reward, please take this puppy, he is your's now"
	],
	{
		action: function(client) {
			client.setProp(questId, 5);	
			client.followers.push("RoverBot");
			client.queryAdd("UPDATE users SET followers = ? WHERE id = ?", [JSON.stringify(client.followers), client.data.id]);
			setTimeout(function() {
				client.chat("<color=#FF0000>Say /abandon RoverBot to abandon your dog</color>");
			}, 10000);
		},
		responses: ["beware"]
	}
);
dialogue.setSpeech(
	"beware", "Beware of Ancalagon",
	[
		"*Woof* are you saying he could strike here next? this is evil news...",
		"*Woof* the dogs will fare better under ground than above ground i suspect"
	],
	{
		responses: []
	}
);
dialogue.setSpeech(
	"thanks2", "greeting",
	[
		"*Woof* my friend!"
	]
);