prefab = {
	username: "Daya", 
	spawn: {x: -18, y: -1.238368, z: 0, r: 90},
	wanders: false,
	follows: false,
	attacks: false,
	unreactive: true,
	overrideData: {
		face: "Blindfold",
	}
}

const questId = "rob1";
const getQuestStage = (client) => {
	return Number(client.prop(questId)) || 0;
}

dialogue = new Dialogue();

dialogue.mainMenu = ["imperialbank"];

dialogue.setSpeech(
	"greeting", "Greeting", 
	[
		"NOTHING HERE"
	],
	{
		condition: function(client) {
			if(getQuestStage(client) > 0) 
				return "greetingnext"; 

			return "greetingfirst";
		}
	}
);
dialogue.setSpeech(
	"greetingfirst", "Greeting",
	[
		"Help! The bank was robbed, everything is gone!!!"
	],
	{
		responses: ["yes", "no"]
	}
)
dialogue.setSpeech(
	"greetingnext", "Greeting",
	[
		"I can't believe the bank was robbed..."
	]
)
dialogue.setSpeech(
	"yes", "Of course, tell me what happened!",
	[
		"Some men came to the bank armed",
		"There were three of them, and it looked like one was giving instructions to the others",
		"The next thing I know, I was tied and blindfolded meanwhile they took everything from the vault",
		"And the strangest part of all is... they didn't even break open the vault's door", 
		"They somehow opened it and walked in and out as if it was nothing..."
	],
	{
		action: function(client) {
			client.setProp(questId, 1);
		}
	},

	{
		responses: ["info"]
	}

);
dialogue.setSpeech(
	"no", "No way, this looks dangerous.",
	[
		"Hm, fine. At least I have detectives here to help me."
	],
);
dialogue.setSpeech(
	"info", "That sounds odd... anything else you remember?",
	[
		"Well they didn't seemed to be ordinary robbers...",
		"They didn't touched anything else nor care about it",
		"They took the money and left, as if they were ghosts",
		"Please bring this information to the Detective Inspector Hercule", // introduction to meeting the DI
		"He will help you with it"
	],
);
dialogue.setSpeech(
	"imperialbank", "Imperial Bank",
	[
		"I'm sorry I can't help you with your gold today",
		"The last time the bank was robbed, it was when Accal was a bad man.",
		"Speak to the detectives if you want help getting your gold back."
	]
)