prefab = {
	username: "Dr Smith", 
	spawn: {x: 12, y: -3.9, z: -30, r: -90},
	wanders: false,
	follows: false,
	attacks: false,
	unreactive: true
}

dialogue = new Dialogue();

dialogue.mainMenu = ["baseinfo", "technology"];

let questId = "q1s";
let getMyQuestStage = function(client) {
	return Number(client.prop(questId)) || 0
}

dialogue.setSpeech(
	"greeting", "Greeting",
	[
		"Hello Doctor, I've been expecting you."
	],
	{
		condition: function(client) {
			let stage = getMyQuestStage(client);
			if(client.smithBricked) return "greetbricked";
			if(stage == 1) return "rubheads";
			if(stage == 2) return "inductionprompt";
			if(stage < 7) return "resourceprompt";
			
		},
		responses: ["huhwhat"]
	}
);
dialogue.setSpeech(
	"greetbricked", "Greeting",
	[
		"Leave now."
	]
);
dialogue.setSpeech(
	"baseinfo", "Base",
	[
		"Vengeance Base is a top secret facility here on the planet of Venus.",
		"Our operations are mainly focused around furthering the military interests of House Drake.",
		"One day, our work here will give us control of more than just one land... but perhaps the galaxy itself."
	]
);
dialogue.setSpeech(
	"technology", "Technology",
	[
		"One day we'll look back at this and realise how primitive we were.",
		"Artificial wormholes? Transportation devices? Space travel at a speed thought to be impossible?",
		"One day. And it will have all started HERE."
	]
);
dialogue.setSpeech(
	"huhwhat", "Huh... what?",
	[
		"You are the new doctor, right?"
	],
	{
		responses: ["ofcourseiam", "noimnot"]
	}
);
dialogue.setSpeech(
	"ofcourseiam", "Of course I am",
	[
		"Great to finally meet you, Doctor. We've got a lot of work to get on with.",
		"Firstly, have you completed your induction onto our new missile program?"
	],
	{
		responses: ["yesmissile", "notyetmissile", "noimnot"]
	}
);
dialogue.setSpeech(
	"inductionprompt", "Greeting",
	[
		"Have you completed your induction onto our new missile program yet?"
	],
	{
		responses: ["yesmissile", "notyetmissile"]
	}
);
dialogue.setSpeech(
	"noimnot", "No I'm not the doctor",
	[
		"Then... you shouldn't be here..."
	],
	{
		action: function(client) {
			client.smithBricked = true;
		}
	}
);
dialogue.setSpeech(
	"yesmissile", "Yes, I have. It was very interesting.",
	[
		"The wave form modules are of the greatest concern to you, and us all, doctor.",
		"You ARE a specialist in the field of wave mechanics are you not?"
	],
	{
		responses: ["thatsme", "wavewhat"]
	}
);
dialogue.setSpeech(
	"notyetmissile", "Not yet",
	[
		"Then I encourage you to. After all, it is at the very core of your future research with us.",
	],
	{
		action: function(client) {
			client.setProp(questId, 2);
		}
	}
);
dialogue.setSpeech(
	"thatsme", "That's me",
	[
		"Great! I've been looking forward to rubbing our heads together as my own knowledge of the field is quite limited.",
		"Before we do, make yourself at home. There's food in the fridge, and water.",
		"The living quaters are at the front of the base. Dr Franklin will show you around."
	],
	{
		action: function(client) {
			client.setProp(questId, 1);
		}
	}
);
dialogue.setSpeech(
	"wavewhat", "Wave what..?",
	[
		"...",
		"Wave mechanics, doctor. Are you not a specialist in the field is what I asked...?"
	],
	{
		responses: ["thatsme", "uwotm9"]
	}
);
dialogue.setSpeech(
	"uwotm9", "You what mate?",
	[
		".......",
		"IMPOSTER. LEAVE. HOW DARE YOU TRICK ME?"
	],
	{
		responses: ["calmyourboxers"],
		action: function(client) {
			client.smithBricked = true;
		}
	}
);
dialogue.setSpeech(
	"calmyourboxers", "Calm your undies down",
	[
		"*ahem* Pardon? How calamatous."
	]
);
dialogue.setSpeech(
	"rubheads", "Greeting",
	[
		"Are you ready to start discussing the research?"
	],
	{
		responses: ["yesresearch", "noresearch"]
	}
);
dialogue.setSpeech(
	"yesresearch", "Yes, let's talk science",
	[
		"All your confidentiality arrangements have been made, I assume. This is no public matter.",
		"Drake Military's missile program has advanced beyond simple missile carriers and bombs.",
		"We're now at the leading edge of quantum mechanics in order to actually break the laws of convention.",
		"We've already made interplanetary travel possible. The next step, naturally, is interplanetary warfare.",
		"However, we need to solve the problem of space. This is where quantum physics meets with relativity.",
		"The bridge... Doctor... we need to build the bridge."
	],
	{
		responses: ["bridgeyes", "ijustneedapoo"]
	}
);
dialogue.setSpeech(
	"bridgeyes", "I love bridges",
	[
		"You're the kind of person we've been waiting for. A true pioneer of physisists.",
		"You're not afraid to defy the norms! You're not afraid to make wild astronomical assumptions!",
		"You're ready to finally consolodate particle physics and quantum physics!",
		"Once we do, WE WILL BE UNSTOPPABLE!"
	],
	{
		responses: ["indeed", "ijustneedapoo"]
	}
);
dialogue.setSpeech(
	"ijustneedapoo", "Excuse me, I just need to do a poo. (runs away)",
	[
		"Oh.. um okay. Of course."
	],
	{
		responses: []
	}
);
dialogue.setSpeech(
	"indeed", "Indeed we will (Hail Drakes)",
	[
		"The goal, doctor, is to create matter. To move matter across space itself in an instant.",
		"Even... duplicate matter.",
		"Can you imagine the possibilities, if we solve this problem?"
	],
	{
		responses: ["iseeityes"]
	}
);
dialogue.setSpeech(
	"iseeityes", "I see it yes",
	[
		"Doctor, I feel embarassed to show you my progress thus far, but in the interests of progress, I shall.",
		"So far I have a formula that almost explains a fundemental lack of continuity with relativity.",
		"However, the probabalistic nature of the tests I've designed has caused me to get stuck.",
		"Here, let me show you the equasion.",
		"d/txA=d/ih[A,^H]+d/dtA6. What is your opinion? I'd love to know your thoughts."
	],
	{
		responses: ["formulawrong", "formularight", "ijustneedapoo"]
	}
);
dialogue.setSpeech(
	"formulawrong", "I don't agree",
	[
		"I knew I'd missed something."
	],
	{
		responses: ["itneedsrewriting"]
	}
);
dialogue.setSpeech(
	"itneedsrewriting", "It needs rewriting",
	[
		"Oh... okay...",
		"Tell me, what did I miss?"
	],
	{
		responses: ["youmissed1", "youmissed2"]
	}
);
dialogue.setSpeech(
	"youmissed1", "Its just too messy... you know?",
	[
		"You... you're right... Tell me what you think it should say."
	],
	{
		after: function(client) {
			client.input("Qunatum relativity formula", function(text) {
				client.formulae = text.substr(0, 30);
				handleXtMessage("tt", [prefab.username, "formulae"], client);
			});
		},
		responses: []
	}
);
dialogue.setSpeech(
	"youmissed2", "It needs more EINSTEIN.",
	[
		"Einstein? I'd say it needs less Einstein.",
		"Are you... really a doctor?"
	],
	{
		responses: ["noimnot"]
	}
);
dialogue.setSpeech(
	"formulae", "Formulae",
	[
		"%formulae%...?",
		"I've never seen a formula like it before... Its true genius...",
		"I've never seen physics like it. Mind to explain how it works?"
	],
	{
		responses: ["itjustdoes", "badguess"]
	}
);
dialogue.setSpeech(
	"itjustdoes", "It just works",
	[
		"*ahem* Yes, I suppose it will. Afterall, you're the expert.",
		"Your formula means the local action of quanta exchange can be explained in relativistic terms...",
		"Could you assist me in setting up an experiment to confirm your formula?"
	],
	{
		responses: ["yesexp", "ijustneedapoo"]
	}
);
dialogue.setSpeech(
	"badguess", "Well it just... makes atoms functional? (guess)",
	[
		"What?    That made no sense...",
		"Are you really a doctor?"
	],
	{
		responses: ["itjustdoes", "noimnot", "ijustneedapoo"]
	}
);
dialogue.setSpeech(
	"yesexp", "Sure",
	[
		"Okay doctor. You'll need to talk to Dr. Franklin about what we'll need.",
		"He's in charge of resources and administration here at the base.",
		"Let me know when you have everything we need."
	],
	{
		action: function(client) {
			client.setProp(questId, 3);
		}
	}
);
dialogue.setSpeech(
	"resourceprompt", "Greeting",
	[
		"Let me know when you have everything we need for the experiment, doctor."
	]
);