prefab = {
	username: "Hercule", 
	spawn: {x: -13.06464, y: -2.306936, z: -3.302932, r: -20},
	wanders: false,
	follows: false,
	attacks: false,
	unreactive: true
}

const questId = "rob1";
const getQuestStage = (client) => {
	return Number(client.prop(questId)) || 0;
}

dialogue = new Dialogue();

dialogue.mainMenu = ["crimeoffice"];

dialogue.setSpeech(
	"greeting", "Greeting", 
	[
		"NOTHING HERE"
	],
	{
		condition: function(client) {
			if(getQuestStage(client) == 1) 
				return "greetingnext"; 
			
			if(getQuestStage(client) == 2 || getQuestStage(client) == 3) 
				return "greetingnext2"; 
			
			if(getQuestStage(client) == 4) 
				return "greetingnext4"; 

			if(getQuestStage(client) == 6) 
				return "greetingnext6"; // has talked to Angelo about the note
			
			if(getQuestStage(client) == 7) 
				return "greetingnext7"; // has talked to Angelo about the note

			return "greetingfirst";
		}
	}
);
dialogue.setSpeech(
	"greetingfirst", "Greeting",
	[
		"There's been a robbery."
	],
	{
		responses: ["help"]
	}
);
dialogue.setSpeech(
	"help", "I want to help with the case",
	[
		"Good. Talk to the witness, Daya, see what she has to say"
	],
);
dialogue.setSpeech(
	"greetingnext", "Greeting",
	[
		"What did she say?...",
		"Oh okay, I get it... So three men walked into the vault",
		"And no signed of destruction or use of force... interesting",
		"Well %name%, thanks for the information, would you like to help us even more?",
		"Would you like to become a detective?"
	],
	{
		responses: ["yes", "no"]
	}
)
dialogue.setSpeech(
	"greetingnext2", "Greeting",
	[
		"Hello again detective. Found any more clues?"
	],
	{
		responses: ["pirateship"]
	}
)
dialogue.setSpeech(
	"greetingnext4", "Greeting",
	[
		"Keep an eye on that ship, detective."
	]
)
dialogue.setSpeech(
	"greetingnext6", "Greeting",
	[
		"They're stealing from Cobia now?",
		"This is incredible... incredibly bold of them.",
		"If they're plotting a meet up on Thursday night, and if they're armed, we'll need to get there.",
		"I entrust this to you, detective. Make sure you catch them!"
	],
	{
		action: (client) => {
			client.setProp(questId, 7);
		}
	}
)
dialogue.setSpeech(
	"greetingnext7", "Greeting",
	[
		"I trust you with this. Go with the other detectives and stop those thieves in their tracks!"
	]
)
dialogue.setSpeech(
	"yes", "That sounds interesting, I will join you.",
	[
		"Great then, I'll keep you updated about the case",
		"For now just go and meet the rest of the team"
	],
	{
		action: function(client) {
			client.setProp(questId, 2);
			client.setProp("detective", 1);
			client.setProp("detectivetime", time());
			client.addItem("DetectiveSuit", 1, true); // override for a patched item
			//client.addItem("MagnifyingGlass"); 
		}
	}
)
dialogue.setSpeech(
	"no", "Im sorry but this isn't something for me.",
	[
		"No problem, friend",
		"Thanks for the help"
	]
)
dialogue.setSpeech(
	"crimeoffice", "Crime Office",
	[
		"The crime office has been made irrelevant in recent years.",
		"All the 'crimes' nowadays seem to be handled by demi-gods.",
		"Its like living in the Marvel universe. We're just irrelevant police cops who get killed easily.",
		"Not anymore though, the demi-gods can't seem to answer this strange crime."
	]
)
dialogue.setSpeech(
	"pirateship", "Pirate Ship",
	[
		"A pirate ship?!",
		"Pirates haven't been seen for years...",
		"Leave this with me. Meanwhile, you keep an eye on that ship. Tell me if it moves."
	],
	{
		displays: (client, bot) => {
			return getQuestStage(client) == 3;
		},
		action: (client) => {
			client.setProp(questId, 4);
		}
	}
)