prefab = {
	username: "Laitha", 
	spawn: {x: -8.2, y: 18.9, z: 14.9, r: 42},
	wanders: false,
	follows: false,
	attacks: false,
	unreactive: true
}

dialogue = new Dialogue();

dialogue.mainMenu = ["rentlodge", "enter", "nargothrond"];

dialogue.addSpeech("greeting", "Greeting", [
	"Greetings esteemed guest, my name is Laitha. I welcome you to the restored realm of Nargothrond."
]);

dialogue.addSpeech("rentlodge", "Rent Lodge", [
	"How long would you like to stay?",
], ["1day", "4days", "7days", "nvm"]);

dialogue.setSpeech(
	"1day", "1 day",
	[
		"That will cost 10 vanadium crystals."
	],
	{
		action: function(client) {
			client.nargCost = 10;
			client.nargDays = 1;
		},
		responses: ["pay", "nvm"]
	}
);
dialogue.setSpeech(
	"4days", "4 days",
	[
		"That will cost 40 vanadium crystals."
	],
	{
		action: function(client) {
			client.nargCost = 40;
			client.nargDays = 4;
		},
		responses: ["pay", "nvm"]
	}
);
dialogue.setSpeech(
	"7days", "7 days",
	[
		"That will cost 70 vanadium crystals."
	],
	{
		action: function(client) {
			client.nargCost = 70;
			client.nargDays = 7;
		},
		responses: ["pay", "nvm"]
	}
);

dialogue.setSpeech(
	"pay", "Pay",
	[
		"Welcome! Your lodge number is number %lodgenum%. If you need anything, just ask one of our staff.",
		"Enjoy your stay %name%!"
	],
	{
		condition: function(client) {
			let cost = client.nargCost;
			if(!cost || !client.nargDays) return "rentlodge"; // loop
			
			if(client.getItemCount("VanadiumCrystal") < cost) {
				return "cantpay";
			}
			
			let res = P3D.RentLodge(client.nargDays, client);
			
			client.nargRentRes = res;
			
			if(!res.success) {
				return "error";
			}
			
			client.removeItem("VanadiumCrystal", cost);
		}
	}
);
dialogue.setSpeech(
	"error", "ERROR",
	[
		"%nargerror%"
	],
	{}
);
dialogue.setSpeech(
	"cantpay", "CANTPAY",
	[
		"It looks like you don't have enough vanadium crystals to rent a lodge. Sorry!"
	],
	{}
);

dialogue.setSpeech(
	"nvm", "Nevermind",
	[
		"Okay!"
	],
	{}
);
dialogue.setSpeech(
	"enter", "Enter City",
	[
		"If you'd like to enter the city of Nargothrond, you must swear loyalty to the Queen."
	],
	{
		condition: function(client) {
			if(client.getItemCount("NargKey")) return "loyal";
		},
		responses: ["queen"]
	}
);
dialogue.setSpeech(
	"queen", "Queen?",
	[
		"Queen Annalle of Aman is the one who has restored this ancient kingdom.",
		"She requires all visitors and guests staying here to swear their loyalty to her and pay a tax of 100 gold."
	],
	{
		responses: ["swear", "nvm"]
	}
);
dialogue.setSpeech(
	"swear", "I swear loyalty *pays tax*",
	[
		"Welcome %name% to the service of Queen Annalle! You may enter the city."
	],
	{
		condition: function(client) {
			if(client.getItemCount("GoldOre") < 100) return "badtax";
		},
		action: function(client) {
			client.removeItem("GoldOre", 100);
			client.addItem("NargKey", 1, true);
		}
	}
);
dialogue.setSpeech(
	"badtax", "BADTAX",
	[
		"You don't seem to have enough to pay the tax."
	],
	{}
);
dialogue.setSpeech(
	"loyal", "LOYAL",
	[
		"You already have the key to the city."
	],
	{}
);
dialogue.setSpeech(
	"nargothrond", "Nargothrond",
	[
		"This ancient city was not too long ago a flooded mine. Queen Annalle has restored it!",
		"Her interest in gaining vanadium crystal has also influenced her choice to make this a paradise resort."
	],
	{}
);