prefab = {
	username: "Rob", 
	spawn: {x: -0.118838, y: -50.11, z: 112.0221, r: 162},
	wanders: false,
	follows: false,
	attacks: false,
	unreactive: true,
	tradeFilter: ["ores"]
}

autoTradeHaggle = 0.7;

dialogue = new Dialogue();

dialogue.mainMenu = ["sell", "moreinfo", "aboutrob"];

dialogue.setSpeech(
	"greeting", "Greeting",
	[
		"Be careful! This is an UNEXPLORED mine. We don't know how dangerous it is yet..."
	],
	{
		condition: function(client) {
			if(!P3D.checkHasAllKeys) return;
			if(client.prop("wwcTnt")) {
				return "greeting5";
			}else
			if(P3D.checkHasAllKeys(client)) {
				if(!client.takenOnTnt)
					return "greeting3";
				else
					return "greeting4";
			}else
			if(client.acceptedWarren) {
				return "greeting2";
			}
		},
		responses: ["placeinfo"]
	}
);
dialogue.setSpeech(
	"greeting2", "Greeting",
	[
		"Hello again %name%. Once you've solved all the puzzles, we can talk about the mission."
	]
);
dialogue.setSpeech(
	"greeting3", "Greeting",
	[
		"Excellent work %name%! You've found four ancient forest keys!",
		"Now its time I told you about the mission.",
		"Head up the tunnel behind me and you'll find a barrel with a fuse on it.",
		"I want you to fill the barrel with gunpowder and ball bearings, then light the fuse."
	],
	{
		responses: ["waitwhat"]
	}
);
dialogue.setSpeech(
	"greeting4", "Greeting",
	[
		"Fill that barrel and light that fuse!"
	],
	{
		responses: ["waitwhat"]
	}
);
dialogue.setSpeech(
	"greeting5", "Greeting",
	[
		"Don't get cocky"
	]
);
dialogue.setSpeech(
	"waitwhat", "Wait what?!",
	[
		"Don't tell me you're scared of explosives now, %name%?",
		"Trust me, it will be fine. Here, take this gunpowder and these ball bearings.",
		"Remember to run away once you light the fuse!"
	],
	{
		action: function(client, bot) {
			client.takenOnTnt = true;
			if(client.getItemCount("Gunpowder") < 1)
				client.addItem("Gunpowder", 1, true);
			
			if(client.getItemCount("BallBearing") < 100)
				client.addItem("BallBearing", 100-client.getItemCount("BallBearing"), true);
		}
	}
);
dialogue.setSpeech(
	"placeinfo", "What is this place?",
	[
		"We believe these caves were once part of the ancient forest kingdom.",
		"However, as you'll see, they're incredibly vast and confusing.",
		"Could you help us explore the place?"
	],
	{
		responses: ["acceptex", "hellno"]
	}
);
dialogue.setSpeech(
	"acceptex", "Okay, I'll help you",
	[
		"Thanks %name%! Once you have explored the entire place and solved all the strange puzzles... we'll let you join the operation."
	],
	{
		action: function(client, bot) {
			client.acceptedWarren = true;
		}
	}
);
dialogue.setSpeech(
	"hellno", "Hell No!",
	[
		"How rude."
	]
);
dialogue.setSpeech(
	"aboutrob", "Who are you?",
	[
		"I'm Rob, I work for the Empire. My job is to just stand here and supervise things.",
	]
);
dialogue.setSpeech(
	"moreinfo", "Warren Wound Caverns",
	[
		"This is the most complex cave system we've ever discovered.",
		"It likely used to be part of the ancient forest kingdom. That could mean treasure.",
		"Hey um... if you find any treasure... tell me okay? We could work some kinda deal out if ya know what I mean.. *winks*"
	]
);

dialogue.setSpeech(
	"sell", "Sell Ores",
	[
		"Lets see what you've got"
	],
	{
		responses: ["Goodbye"],
		action: function(client, bot) {
			setTimeout(P3D.BotTrade, 1500, client, bot);
		}
	}
);