P3D.UnplaceQ2Fire = function(client) {
	for(var i = 1; i <= 10; i++) {
		client.send("unplace", ["f" + i]);
	}
}
P3D.WearOutfit = function(outfit, client) {
	if(!valid(client)) return;
	if(!outfit) return;
	
	if(client.getItemCount(outfit.head) < 1) outfit.head = "";
	if(client.getItemCount(outfit.face) < 1) outfit.face = "";
	if(client.getItemCount(outfit.neck) < 1) outfit.neck = "";
	if(client.getItemCount(outfit.body) < 1) outfit.body = "";
	if(client.getItemCount(outfit.hands) < 1) outfit.hands = "";
	if(client.getItemCount(outfit.rhand) < 1) outfit.rhand = "";
	if(client.getItemCount(outfit.feet) < 1) outfit.feet = "";
	
	EquipByType("head", outfit.head, client, false, true);
	EquipByType("face", outfit.face, client, false, true);
	EquipByType("neck", outfit.neck, client, false, true);
	EquipByType("body", outfit.body, client, false, true);
	EquipByType("hands", outfit.hands, client, false, true);
	EquipByType("rhand", outfit.rhand, client, false, true);
	EquipByType("feet", outfit.feet, client, false, true);
	
	let props = JSON.parse(outfit.props);
	
	let additives = props["additive"];
	
	if(additives) {
		let adds = additives.split(",");
		let newAdds = [];
		for(let e in adds) {
			let itemId = adds[e];
			if(!itemId) continue;
			if(client.getItemCount(itemId) < 1) continue;
			newAdds.push(itemId);
		}
		props["additive"] = newAdds.join(",");
		if(!props["additive"]) {
			props["additive"] = "-";
		}
	}
	
	for(var i in client.props) {
		switch(i) {
			case "hp":
			case "fp":
			case "np":
			case "bp": 
			case "tp":
			case "wp":
				if(client.prop(i) != props[i]) {
					SetPropOf(client.data.username, i, props[i], true);
				}
			break;
		}
	}
	for(var i in props) {
		let allows = true;
		switch(i) {
			case "hp":
			case "fp":
			case "np":
			case "bp": 
			case "tp":
			case "wp":
				if(!client.prop("repaint")) {
					allows = false;
				}
			break;
		}
		if(!allows) continue;
		
		if(client.prop(i) != props[i]) {
			SetPropOf(client.data.username, i, props[i], true);
		}
	}
	
	if(client.data.head != outfit.head || client.data.face != outfit.face || client.data.neck != outfit.neck || client.data.body != outfit.body || client.data.hands != outfit.hands || client.data.rhand != outfit.rhand || client.prop("additive") != props["additive"]) {
		client.chat("Some items could not be set because you do not own them");
	}
	
	SendRoom(serialize("ups", [client.data.id, createPlayerString(client)]), client.room);
}

P3D.on("welcome", function(client) {
	/*if(client.data.username.contains("ALPHAMILITARY") && !client.prop("alphadeal")) {
		client.addItem("ATMissile", 25, true);
		client.addItem("ATM48", 1, true);
		client.addItem("HawkBlasterSniper", 1, true);
		client.addItem("BlastRedCanon", 10, true);
		client.setProp("alphadeal", 1);
	}*/
}, "misc");
P3D.on("roomJoined", function(client, roomId) {
	if(roomId != "SpiderCave") return;

	if(Number(client.prop("q2s")) >= 3) {
		setTimeout(function() {
			P3D.UnplaceQ2Fire(client);
		}, 2000);
	}
}, "spidercave");

P3D.on("tool", function(client, tool, position) {
	switch(tool) {
		case "Valve": {
			if(client.roomId != "SpiderCave") break;
			if(client.prop("q2s") < 2) break;
			
			client.secretIns("Ins_Spray", "spray", position, Vector3(0, 0, 0), Vector3(1, 1, 1));
			
			clearTimeout(client.sprayTimer);
			
			client.sprayTimer = setTimeout(function() {
				P3D.UnplaceQ2Fire(client);
				client.setProp("q2s", 3);
			}, 10000);
			break;
		}
		case "StatueOfVardaManweLuna": {
			client.notice("Statue of Manwe, Varda and their daughter Luna, Lady of Stars");
			break;
		}
		case "MelodyTomb": {
			client.openBook("MelodyTomb");
			break;
		}
		case "MVTomb": {
			client.openBook("MVTomb");
			break;
		}
		case "SeaUrchin": {
			if(client.seaUrchinYield) break;
			if(time() - client.lastSeaUrchinDamage < 0.1 && client.lastSeaUrchinDamage) {
				break;
			}
			
			let max = 200;
			let dmg = client.getTotalHealth(true) * 0.01;
			
			if(dmg < 1) dmg = 1;
			
			if(dmg > max) dmg = max;
			
			DamagePlayer(dmg, client);
			client.lastSeaUrchinDamage = time();
			break;
		}
		case "MonPaintingPurple": {
			client.input("Who was the first legendary healer?", (message, client) => {
				let correct = ["dancebear", "dance bear"];
				
				let answer = String(message).toLowerCase().trim();
				
				if(answer.length > 100) return client.notice("Incorrect");
				
				for(let i in correct) {
					if(answer == correct[i]) {
						// CORRECT ANSWER!
						client.addItem("AmethystShield", 1, true);
						return;
					}
				}
				
				return client.notice("Nothing happens");
			});
			break;
		}
		case "MonPaintingGreen": {
			client.input("What was the first healer rank called?", (message, client) => {
				let correct = ["wise healer"];
				
				let answer = String(message).toLowerCase().trim();
				
				if(answer.length > 100) return client.notice("Incorrect");
				
				for(let i in correct) {
					if(answer == correct[i]) {
						// CORRECT ANSWER!
						client.addItem("RadiumShield", 1, true);
						return;
					}
				}
				
				return client.notice("Nothing happens");
			});
			break;
		}
		case "VanadiumShield": {
			client.input("Who birthed the red nebulae?", (message, client) => {
				let correct = ["morgoth", "melkor"];
				
				let answer = String(message).toLowerCase().trim();
				
				if(answer.length > 100) return client.notice("Incorrect");
				
				for(let i in correct) {
					if(answer == correct[i]) {
						// CORRECT ANSWER!
						client.addItem("VanadiumShield", 1, true);
						return;
					}
				}
				
				return client.notice("Nothing happens");
			});
			break;
		}
		case "TOTADoor1":
		case "TOTADoor2": {
			client.input("Enter the passcode", (message, client) => {
				let correct = ["tanis"];
				
				let answer = String(message).toLowerCase().trim();
				
				for(let i in correct) {
					if(answer == correct[i]) {
						client.joinRoom("TempleOfTheAncients", tool == "TOTADoor1" ? "BottomFloor" : "TopFloor");
						return;
					}
				}
				
				return client.notice("Incorrect");
			});
			break;
		}
		case "fsdfksjnf": {
			
			break;
		}
	}
	
}, "misctool");

P3D.on("take", (client, item, quant, container) => {
	if(container.id != "4YearBowl") return;
	
	if(item.fish && quant == 4) {
		client.addFollower("AnniversaryCat");
		client.notice("*meow* *EATS 4 FISHES* I am now your pet! Say /abandon AnniversaryCat to abandon me.");
		return false;
	}
})

P3D.on("struck", function(client, gobName, gobPos, mode, weapon) {
	
	if(gobName == "SeaUrchin" && client.roomId == "GoblinTown") {
		if(client.seaUrchinYield) return;
		
		if(!client.seaUrchin) {
			let totalHealth = client.getTotalHealth(true) / 1000 * 1000;
			if(totalHealth > 10000) totalHealth = 10000;
			client.seaUrchin = {health: totalHealth, totalHealth: totalHealth};
		}
		
		let dmg = weapon.damage;
		
		dmg *= client.data.damageMultiplier || 1;
		
		client.seaUrchin.health -= dmg;
		
		if(client.seaUrchin.health <= 0) {
			client.seaUrchin.health = 0;
			
			client.seaUrchinYield = true;
			client.chat("The sea urchin has yielded to you!");
			client.addStrength(1000);
			
			if(Number(client.prop("gobtq")) == 2) {
				// goblin town quest stage 2
				client.addItem("StaffGobhelin", 1, true);
				client.chat("<color=#00FF00>You feel a strong sense of Goblin Power in you as the staff sits in your inventory... you want to pick it up, feeling as if it will bestow you greater force sensitivity if you did.</color>");
				client.setProp("gobtq", 3);
			}
		}else{
			let pcnt = Math.floor(client.seaUrchin.health / client.seaUrchin.totalHealth * 100);
			
			if(time() - client.lastSeaUrchinMsg > 1 || !client.lastSeaUrchinMsg) {
				client.lastSeaUrchinMsg = time();
				
				client.chat(`Sea urchin health: ${pcnt}&pcnt;`);
			}
		}
	}
	
}, "miscstruck");

P3D.on("challengejoinroom", function(client, id) {
	if(!id) return false;
	
	let room = rooms[id];
	
	if(!room) return false;
	
	let myTag = client.prop("tag");
	
	if(myTag == "wildspace" && !client.prop("wildspace")) myTag = "";
	if(room.tag == "beleriand") room.tag = "";
	
	if(room.tag != myTag && !client.prop("anygalaxy") && room.tag && !client.bot && !client.data.dead) {
		client.notice("You can not go here");
		return false;
	}else
	if(myTag && room.tag != myTag && !client.data.dead && !client.bot && !client.prop("anygalaxy") && !client.data.dead) {
		let roomto = null;
		for(let i in rooms) {
			if(rooms[i].tag == myTag) {
				roomto = i;
				break;
			}
		}
		if(!roomto) return undefined;
		client.joinRoom(roomto);
		return false;
	}
	
	/*if(id == "Cobia") {
		client.chat("<color=#FF0000>ADVERTENCIA: COBIA NO ES SEGURO (ZONA DE ENTRENAMIENTO MILITAR, CAMPO DE BATALLA). USTED VIENE AQUÍ BAJO SU PROPIO RIESGO.</color>");
		client.chat("<color=#FF0000>WARNING: COBIA IS NOT SAFE (MILITARY TRAINING ZONE, BATTLE GROUND). YOU ENTER AT YOUR OWN RISK.</color>");
	}*/
}, "gnz11");

P3D.on("chat", function(client, message) {
	let m = message.toLowerCase();
	
	if(client.roomId == "AchTo" && client.position.y > 290 && client.getItemCount("CosmicOre") > 0) {
		if(!m.contains(client.data.username.toLowerCase())) return;
		if(!P3D.SeedsScript) {
			P3D.SeedsScript = String(fs.readFileSync("misc/seeds.html"));
		}
		let mstr = P3D.SeedsScript.replace("(your name here)", client.data.username);
		let sim = StrCompare(m, mstr);
	
		if(sim > 880) {
			client.removeItem("CosmicOre");
			client.addItem("CosmicSeed", 25, true);
		}
	}
	if(client.roomId == "AchTo") {
		let forest = Vector3(126, 341, 284);
		let close = false;
		
		if(DistanceVector(client.position, forest) < 300) {
			close = true;
		}
		if(client.lastSeedPlanted) {
			if(DistanceVector(client.position, client.lastSeedPlanted) < 5) return;
		}
		
		if(m.contains("plants") && m.contains("seed") && m.contains("*")) {
			if(client.getItemCount("CosmicSeed") > 0) {
				if(close) {
					client.removeItem("CosmicSeed");
					client.room.chat(`${client.data.username} has planted a cosmic seed!`);
					client.lastSeedPlanted = client.position;
					client.addStrength(10);
				}else{
					client.chat("You are too far away from the peak of Ach To");
				}
			}
		}
	}
	if(client.roomId == "Island") {
		let forest = Vector3(-173,51,-8);
		let close = false;
		
		if(DistanceVector(client.position, forest) < 300) {
			close = true;
		}
		if(client.lastSeedPlanted) {
			if(DistanceVector(client.position, client.lastSeedPlanted) < 5) return;
		}
		
		if(m.contains("plants") && m.contains("seed") && m.contains("*")) {
			if(client.getItemCount("CosmicSeed") > 0) {
				if(close) {
					client.removeItem("CosmicSeed");
					
					let n = client.data.username;
					if(client.data.secret)
						n = "Someone";
						
					client.room.chat(`${n} has planted a cosmic seed!`);
					client.lastSeedPlanted = client.position;
					client.addStrength(10);
				}else{
					client.chat("You are too far away from the peak of Ach To");
				}
			}
		}
	}
}, "plantseed");

P3D.on("chat", function(client, message) {
	let m = message.toLowerCase();
	
	if(m.contains("by the power of the cosmos") && client.prop("wormhole")) {
		if(m.contains("open a wormhole to")) {
			let roomId = m.split("wormhole to")[1];
			roomId = roomId.replace("!", "").trim();
			
			let cost = 6666;
			
			if(client.data.strength < cost || !roomId) {
				return;
			}
			
			const lock = client.prop("wormholelock");
			
			if(lock?.toLowerCase() != roomId.toLowerCase() && lock)
				return;
			
			client.drainStrength(cost);
			
			let room;
			
			for(let i in rooms) {
				if(i.toLowerCase() == roomId.toLowerCase()) {
					roomId = i;
					room = rooms[i];
					break;
				}
			}
			if(!room) return;
			
			const objId = `WHL_${room.id}`;
			
			handle["msg"].handler([`/ins Wormhole WHL_${objId}`], client, client.ref);
			
			setTimeout(() => {
				delete room.insMap[objId];
				
				room.send("unplace", [objId]);
			}, 30000);
		}
	}
}, "wormhole");

P3D.on("equip", function(client, item) {
	if(item.id == "LightJewel") {
		//client.chat("The jem brightly glows as a faint glitter seems to swish around within it. It is surprisingly light for its size and its temperature is remarkably cool. It is mute, and makes no noise when held close to the ear despite its apparent power.");
	}
	if(item.id == "DoomNote") {
		client.openBook("TheDarkFateNote");
	}
	if(item.drink) {
		if(client.data.dimension < 4)
			client.room.chat(`${client.data.username} has drank a ${item.name}`);
		
		if(item.id == "BuildUpCan") {
			client.setProp("buc", (Number(client.prop("buc")) || 0) + 1);
		}
		
		client.removeItem(item.id, 1);
	}
}, "miscequip");
/*
P3D.on("heartbeat", (client) => {
	const buc = Number(client.prop("buc"));
	
	if(!buc) return;
	
	if(time() > client.lastBucTs || !client.lastBucTs) {
		client.chat("*you feel tired*");
		client.data.damageMultiplier = 0.5;
		client.lastBucTs = time() + rand(15, 300);
	}
}, "buc");
*/
StrCompare = function(first, second) {
    // Calculates the similarity between two strings  
    // discuss at: http://phpjs.org/functions/similar_text

    if (first === null || second === null || typeof first === 'undefined' || typeof second === 'undefined') {
        return 0;
    }

    first += '';
    second += '';

    var pos1 = 0,
        pos2 = 0,
        max = 0,
        firstLength = first.length,
        secondLength = second.length,
        p, q, l, sum;

    max = 0;

    for (p = 0; p < firstLength; p++) {
        for (q = 0; q < secondLength; q++) {
            for (l = 0;
            (p + l < firstLength) && (q + l < secondLength) && (first.charAt(p + l) === second.charAt(q + l)); l++);
            if (l > max) {
                max = l;
                pos1 = p;
                pos2 = q;
            }
        }
    }

    sum = max;

    if (sum) {
        if (pos1 && pos2) {
            sum += StrCompare(first.substr(0, pos2), second.substr(0, pos2));
        }

        if ((pos1 + max < firstLength) && (pos2 + max < secondLength)) {
            sum += StrCompare(first.substr(pos1 + max, firstLength - pos1 - max), second.substr(pos2 + max, secondLength - pos2 - max));
        }
    }

    return sum;
}

rooms["GoblinTown"].getCanEdit = (client) => {
	if(client.prop("goblinking")) return true;
	
	return false;
}