clearInterval(P3D.nargInterval);

const lodges = ["NargCabin1", "NargCabin2", "NargCabin3", "NargCabin4", "NargCabin5", "NargCabin6", "NargCabin7", "NargCabin8"];

P3D.on("challengejoinroom", function(client, id) {
	if(client.bot) return;
	if(!id.contains("Narg") || id == "NargCourtyard") return;
	
	if(!client.getItemCount("NargKey")) {
		client.notice("You need the city key to enter");
		return "NargCourtyard";
	}
	if(!client.getItemCount("NargBasementKey") && id == "NargCave") {
		client.notice("You need the city basement key to enter");
		return "NargCastle";
	}
}, "narg");

P3D.RentLodge = function(days, client) {
	if(!valid(client)) return;
	if(days < 1) return;
	
	const cost = Number(days * 9500) || 0;
	
	if(client.getItemCount("GoldOre") < cost) {
		return {success: false, error: `You need ${cost} gold nuggets to rent this lodge for ${days} day(s).`};
	}
	
	client.removeItem("GoldOre", cost);
	mysql.query(`UPDATE vault SET gold = gold + ${cost} WHERE user = 34588`); // User ID: 34588
	
	let lodgesAvailable = [];
	
	for(let i in lodges) {
		let lodge = rooms[lodges[i]];
		
		if(!lodge) continue;
		if(!lodge.override) continue;
		
		if(lodge.rentTo > 0) {
			P3D.CheckLodge(lodge);
		}
		
		if(lodge.owner == client.data.id) {
			let lodgeNum = lodge.id.replace("NargCabin", "");
			return {success: false, error: `You have already rented a lodge. The lodge number is ${lodgeNum}.`};
		}
		
		if(lodge.owner) continue;
		
		lodgesAvailable.push(lodges[i]);
	}
	
	if(lodgesAvailable.length < 1) {
		return {success: false, error: "Apologies. There is no availability at this time."};
	}
	
	let myLodgeId = pick(lodgesAvailable);
	let myLodge = rooms[myLodgeId];
	
	myLodge.override.owner = client.data.id;
	myLodge.override.rentTo = Math.floor(time() + (days*86400));
	
	syncDbRooms(myLodge.id);
	
	let lodgeNum = myLodge.id.replace("NargCabin", "");
	
	return {success: true, lodgeId: myLodge.id, lodgeNum: lodgeNum};
}
P3D.CheckLodge = function(lodge) {
	if(!lodge) return;
	
	if(time() > lodge.rentTo && lodge.rentTo) {
		lodge.override.rentTo = 0;
		lodge.override.owner = 0;
		lodge.fmap = [];
		
		mysql.query("DELETE FROM fmaps WHERE `room` = ?", [lodge.id]);
		syncDbRooms(lodge.id);
		
		for(let e in lodge.clients) {
			let sclient = lodge.clients[e];
			if(!valid(sclient)) continue;
			sclient.joinRoom("Nargothrond", sclient.roomId + "Ext")
		}
	}
}
P3D.CheckLodges = function() {
	for(let i in lodges) {
		let lodge = rooms[lodges[i]];
		
		if(!lodge) continue;
		
		P3D.CheckLodge(lodge);
	}
}
P3D.nargInterval = setInterval(P3D.CheckLodges, 10000);

P3D.on("command", function(client, cmd, args) {
	
	switch(cmd) {
		
		case "RENTLODGE": {
			
			let days = Number(args.shift() || 1);
			
			let res = P3D.RentLodge(days, client);
			
			if(!res) {
				client.chat("There was an error renting a lodge.");
				break;
			}
			if(!res.success) {
				client.chat(res.error);
				break;
			}
			
			client.chat("You have successfully rented lodge number " + res.lodgeNum);
			
			break;
		}
		case "LODGEINVITE": {
			
			client.input("Invite Player", function(message, client) {
				let nom = message.trim();
				let sclient = getClientByName(nom);
				
				if(!sclient || isSecret(sclient)) {
					client.notice("Could not find player '" + nom + "'");
					return;
				}
				
				handle["msg"].handler(["/bounce" + sclient.data.username], client, client.ref);
			});
			
			break;
		}
		case "LODGEKICK": {
			
			client.input("Kick Player", function(message, client) {
				let nom = message.trim();
				let sclient = getClientByName(nom);
				
				if(!sclient) {
					client.notice("Could not find player '" + nom + "'");
					return;
				}
				
				handle["msg"].handler(["/unbounce" + sclient.data.username], client, client.ref);
			});
			
			break;
		}
		case "LODGEINFO": {
			
			client.notice("Lodge owner: " + client.room.owner + ". Lodge rented to: " + new Date(client.room.rentTo*1000));
			
			break;
		}
		case "LODGE": {
			for(let i in lodges) {
				let lodge = rooms[lodges[i]];
				
				if(!lodge) continue;
				if(!lodge.override) continue;
				
				if(lodge.owner == client.data.id) {
					client.joinRoom(lodge.id);
					break;
				}
			}
			break;
		}
		
	}
	
}, "narg");

P3D.on("tool", function(client, tool, pos) {
	switch(tool) {
		case "ExitLodge": 
			client.joinRoom("Nargothrond", client.roomId + "Ext");
		break;
		case "LodgeControl":
			if(client.room.owner != client.data.id) {
				client.notice("Only the lodge owner can use this");
				break;
			}
			client.ui("NargLodge");
		break;
		case "EnterGorgor":
			if(!client.getItemCount("GorgorKey")) {
				client.notice("The way is shut and needs the key");
				break;
			}
			client.joinRoom("EredGorgor", "Backway");
		break;
		case "MorgothTomb":
			client.openBook("MorgothTomb");
		break;
		case "TombOfTurin":
			//client.openBook("TurinTomb");
			client.notice("The Tomb of Turin Turumbar");
		break;
		case "GondolinStone":
			client.openBook("GondolinStone");
		break;
		case "TombOfFinduilas":
			client.openBook("FinduilasTomb");
		break;
		case "MelodyBook":
			client.openBook("MelodyBook");
		break;
		case "PythasTomb": {
			client.openBook("PythasTomb");
			break;
		}
	}
}, "narg");

P3D.on("death", function(victim, attacker) {
	if(victim == attacker) return;
	if(victim.data.character == "Basilisk") {
		let dk = Number(attacker.prop("dk")) || 0;
		
		if(!dk) {
			attacker.addStrength(1000);
			attacker.chat("<color=#FFD700>You have slain your first dragon!</color>");
		}else{
			attacker.chat("Dragons killed: " + (dk+1));
		}
		if(attacker.prop("vinr")) {
			attacker.addStrength(500);
		}
		
		attacker.setProp("dk", dk + 1);
	}
}, "narg");