P3D.on("equip", (client, item) => {
	if(!item.id.contains("OG_")) return;
	if(client.getItemCount(item.id) <= 0) return;
	
	const ogId = item.id.split("OG_")?.[1];
	
	if(!ogId) 
		return client.notice("Invalid vehicle/animal");
	
	if(!client.room.airAllow && !client.superuser && !item.animal) 
		return client.notice("Vehicles are not allowed in this room.");
	
	const ogItem = SpawnOgInRoom(ogId, client.position, client.rotation, client.room);
	
	if(!ogItem) return client.chat("Something went wrong");
	
	ogItem.spawnedBy = client.data.id;
	ogItem.uid = generateRandomString(8);
	
	client.removeItem(`OG_${ogId}`);
	client.chat(`You have spawned a ${item.name}. Say /collect to re-collect all of your spawned vehicles and or animals.`);
	
	mysql.query("INSERT INTO `redeem` (`user`, `item`, `count`, `time`, `pend`, `uid`) VALUES (?, ?, ?, ?, ?, ?)", [
		client.data.id,
		`OG_${ogItem.id}`,
		1,
		time(),
		PORT,
		ogItem.uid
	]);
	
	ogItem.onPurge = function() {
		const ogSpawnerItem = items[`OG_${this.id}`];
		
		if(this.destroyed) {
			mysql.query("DELETE FROM `redeem` WHERE `uid` = ?", [this.uid]);
			return client.chat(`Your ${ogSpawnerItem.name} has been destroyed and is now lost forever.`);
		}
			
		const userId = this.spawnedBy;
		
		if(!userId) return;
		
		mysql.query("UPDATE `redeem` SET `pend` = 0 WHERE `user` = ? AND `pend` = ?", [userId, PORT]);
		
		const sclient = getClientByID(userId);
		
		sclient?.chat(`Your ${ogSpawnerItem.name} will return to your inventory within the next 30 seconds.`);
	}
});