const CAT_COST = 250;

P3D.on("tool", (client, tool, position) => {
	switch(tool) {
		case "AdoptCat": {
			let cost = CAT_COST;
			
			client.choice(`Adopt Cat (${cost} gold)`, ["White Cat", "Ginger Cat", "Black Cat", "None"], (choice, client) => {
				if(choice == "None") return;
				if(client.getItemCount("GoldOre") < cost) {
					return client.notice("You don't have enough gold nuggets to adopt a cat");
				}
				
				let cats = 0;
				for(let i in client.followers) {
					if(client.followers[i]?.contains("Cat")) {
						cats++;
					}
				}
				if(cats >= 3)
					return client.notice("You have too many cats. Say /abandon to leave some behind.");
				
				let prefabName = choice.replace(" ", "");
				
				client.input("Name your cat", (name, client) => {
					name = name.trim();
					
					if(!name.match(/^[0-9A-Za-z]+$/))
						return client.chat("Please do not use special characters");
					
					if(name.length < 2)
						return client.chat("Name too short");
						
					if(name.length > 40)
						return client.chat("Name too long");
						
					client.addFollower(prefabName + "|" + name);
					client.notice(`You have adopted a ${choice}! They are in your igloo. Say /follow to make it follow you.`);
					client.removeItem("GoldOre", cost);
				})
			})
		}
	}
});
P3D.on("death", (client, attacker) => {
	let followerOf = client.botobj?.followerOf;
	
	if(!followerOf) return;
	
	const sclient = getClientByID(followerOf);
	
	let message = "";
	
	if(attacker) {
		message = `${attacker.data.username} has killed your ${client.botobj.fetchName}`;
	}
	
	if(sclient) {
		sclient.followers.splice(sclient.followers.indexOf(client.botobj.prefabName), 1);
		
		attacker?.room?.chat(`${attacker?.data?.username} has killed one of ${sclient.data.username}'s pets`);
		
		mysql.query("UPDATE users SET `followers` = ? WHERE id = ?", [JSON.stringify(sclient.followers), sclient.data.id]);
		
		SendMail(sclient.data.username, 0, "Mailman", message);
	}else{
		mysql.query("SELECT id,username,followers FROM users WHERE id = ?", [followerOf], (e,r) => {
			if(!r || !r?.[0]) return;
			
			let row = r[0];
			let followers = JSON.parse(row.followers);
			
			followers.splice(followers.indexOf(client.botobj.prefabName), 1);
			
			attacker?.room?.chat(`${attacker?.data?.username} has killed one of ${row.username}'s pets`);
			
			mysql.query("UPDATE users SET `followers` = ? WHERE id = ?", [JSON.stringify(followers), followerOf]);
			
			SendMail(row.username, 0, "Mailman", message);
		});
	}
	
}, "pets");