P3D.StrengthHealthCoeff = 2200; // main one, bigger it is, the less health the user has (was 2000)
P3D.StrengthForceCoeff = 1200;
P3D.SolidHealthDiv = 4;
P3D.MeditationMotionLimit = 2;
P3D.StrengthHealthPlateau = 1200; // was 1000
P3D.ExpoStrengthMult = 0.004; // After the plateau is reached, what is total strength multiplied by to form a divider for the excess?
P3D.MeditationGrace = 172800;
P3D.StrengthPeak = 8000;
P3D.MeditationMult = 4; // was 1
P3D.PowerExponent = 1.8;
P3D.EB = 0.99995;
P3D.PotentMult = 125;

P3D.StrengthMultConst = 0.2; //was 0.02
P3D.MaxStrengthDiv = 24;

if(P3D.IOKInterval) {
	clearInterval(P3D.IOKInterval);
}
P3D.IOKLoop = function() {
	if(rand(0, 10000) > 4) return;
	let names = ["LPZ0", "LPZ6", "LPZ9","LPZ0", "LPZ6", "LPZ9","LPZ0", "LPZ6", "LPZ9","LPZ0", "LPZ6", "LPZ9", "UL4", "OQ0"];
	let message = makeChat("", pick(names), "", "");
	
	const room = rooms["IOKHouse"];
	
	room.send("msg", [message]);
}
P3D.IOKInterval = setInterval(P3D.IOKLoop, 100);

P3D.on("chat", function(client, message) {
	// Has no master
	if(!client.prop("master") && !client.prop("mentor")) return;
	
	let lmsg = String(message.toLowerCase());
	
	if(client.getPower() == EVIL) {
		if((message.contains("CURSE ") || (lmsg.contains("spits") && lmsg.contains("*")) || lmsg.contains("hail pythas") || lmsg.contains("hail doom") || lmsg.contains("gtho") || lmsg.contains("scum") || lmsg.contains("vende tu alma") || lmsg.contains("sell your soul") || lmsg.contains("bow hence")) && client.room.getPlayerCount() >= 2) {
			if(rand(0, 100) > 90) {
				client.addStrength(5);
			}
		}
	}
}, "powers");
P3D.on("death", function(client, attacker) {
	if(!valid(attacker)) return;
	if(attacker.room.noPermDeath) return;
	
	const keyMult = 0.0072992700729927005;
	let strengthMult = P3D.StrengthMultConst;
	
	if(client.wrathGame && !client.bot) {
		strengthMult *= 0.7;
	}
	if(attacker.wrathGame) {
		strengthMult *= 0.8; // was 0.1
	}
	if(client.data.strength > 0 && !client.bot && !client.wrathGame) {
		client.data.strength *= 0.944;
		mysql.query("UPDATE users SET `strength` = ? WHERE `id` = ?", [client.data.strength, client.data.id]);
	}
	if(client.ip() == attacker.ip()) return;
	
	// Has no master
	if(!attacker.prop("master") && !attacker.prop("mentor")) return;
	
	if(attacker == client) return;
	
	if(client.bot) {
		if(!client.botobj.attacks) {
			return;
		}
	}
	
	if(attacker.getPower() == GOOD && attacker.roomId == "AchTo" && client.isEvil()) {
		attacker.chat("You have defended Ach To from a draconian");
		attacker.addStrength(10);
	}
	if(attacker.getPower() == GOOD && client.isEvil()) {
		let strength = client.getTotalHealth();
		let k = Math.floor(strength * keyMult);
		let labels = ["rookie", "adept", "powerful", "mighty"];
		let label = labels[k >= labels.length ? labels.length-1 : k];
		
		if(strength > 1000) strength = 1000;
		
		if(!client.bot)
			attacker.chat(`You have defeated a ${label} draconian`);
		
		attacker.addStrength(strength * strengthMult);
	}
	
	if(attacker.getPower() == GREY && client.isArmed()) {
		let strength = client.getTotalHealth();
		let k = Math.floor(strength * keyMult);
		let labels = ["rookie", "adept", "powerful", "mighty"];
		let label = labels[k >= labels.length ? labels.length-1 : k];
		
		if(strength > 1000) strength = 1000;
		
		if(!client.bot)
			attacker.chat(`You have defeated a ${label} opponent`);
		attacker.addStrength(strength * strengthMult);
	}
	
	if(attacker.getPower() == EVIL) {
		let strength = client.getTotalHealth();
		let k = Math.floor(strength * keyMult);
		let labels = ["rookie", "adept", "powerful", "mighty"];
		let label = labels[k >= labels.length ? labels.length-1 : k];
		
		let type = "MURDERED";
		
		if(client.isArmed()) {
			type = "slain";
		}
		
		if(strength > 1000) strength = 1000;
		
		if(!client.bot) {
			attacker.chat(`You have ${type} a ${label} opponent`);
			attacker.alert("<color=#FF0000>RELENTLESS</color>");
			client.alert("<color=#FF0000>RELENTLESS</color>");
		}
		attacker.addStrength(strength * strengthMult * 2);
	}
}, "powers");
P3D.on("damage", function(client, attacker, damage) {
	if(attacker == client) return;
	
	if(!damage) damage = 1;
	
	if(client.getPower() == EVIL) {
		let mult = 0.6;
		let chance = 6;
		
		if(client.lastDamageRoomId == client.roomId) {
			client.damageInRoom += damage;
		}else{
			client.damageInRoom = 0;
		}
		
		if(client.damageInRoom > 200) {
			mult += (client.damageInRoom / 800);
			chance += (client.damageInRoom / 800);
			if(mult > 10) {
				mult = 10;
			}
			if(chance > 10) {
				chance = 10;
			}
		}
		
		let add = damage * mult;
			
		if(add > 40) {
			add *= 0.4;
		}
		if(add > 40) {
			add *= 0.2;
		}
		if(add > 40) {
			add = 40;
		}
		
		if((rand(0, 100) > 100-chance || add >= 40) && (time() - client.lastPainNoGain > 10 || !client.lastPainNoGain)) {
			client.alert("<color=#FF0000>No PAIN no GAIN</color>");
			
			client.addStrength(add);
			client.lastPainNoGain = time();
		}
		client.lastDamageRoomId = client.roomId;
	}
	
	if(!valid(attacker)) return;
	if(attacker.room.noPermDeath) return;
	
	// Has no master
	if(!attacker.prop("master") && !attacker.prop("mentor")) return;
	
	if(client.bot) {
		if(!client.botobj.attacks) {
			return;
		}
	}
	
	if((rand(0, 100) > 98 || !client.attacked) && (time() - attacker.lastAttackBoost > 10 || !attacker.lastAttackBoost)) {
		let hhh = client.getTotalHealth();
		
		if(hhh > 200) hhh = 200;
		
		attacker.addStrength(rand(0.5,2) + ((hhh * P3D.StrengthMultConst) * 0.4));
		attacker.lastAttackBoost = time();
		client.attacked = true;
	}
	
}, "powers");
P3D.on("getTransform", function(client, result, name, position, localPosition, rotation, localRotation, scale) {
	if(!valid(client)) return;
	if(!result) {
		if(client.getTransform == "Water") {
			client.room.noWater = true;
			client.chat("No waters found. Say /meditate to start waterless meditation.");
		}
		return;
	}
	if(client.getTransform != name) return;
	
	if(name != "Water") {
		return;
	}
	
	client.room.water = {
		position: position,
		rotation: rotation,
		scale: scale,
		waterTop: position.y + (scale.y / 2)
	}
	
	client.chat("Waters found. Say /meditate to start.");
});
P3D.on("chat", function(client, message) {
	let m = message.toLowerCase();
	
	if(client.prop("b8")) {
		if(m.contains("b8") && m.contains("for help") && (time() - client.b8help > 300 || !client.b8help)) {
			client.health += rand(100, 200);
			
			if(client.health > client.getTotalHealth(true)) {
				client.health = client.getTotalHealth(true);
			}
			
			client.send("health", [GetHealth(client), GetTotalHealth(client)]);
			
			client.b8help = time();
		}
	}
	if(m.contains("i manifest a strength stone") && client.prop("strengthstone")) {
		const manifest = () => {
			const ts = Number(client.prop("strengthstone"));
			
			if(time() - ts < 86400)
				return client.chat("This only works once per day");
			
			var itemId = "StrengthStone";
			
			let beacon = Instantiate("PickupBeacon", "Beacon_" + itemId, client.room, client.position, client.rotation, Vector3(1,1,1), true);
			
			client.lastIns = beacon.name;
			client.setProp("strengthstone", time());
		}
		manifest();
	}
	
	if(!String(client.data.rhand).contains("Staff")) {
		return;
	}
	
	if(m.contains("by the power of the force") || m.contains("by my staff") || m.contains("in the name of the forest")) {
		if(client.force <= 0) {
			client.chat("Exhausted");
			return;
		}
		// Powers
		if(m.contains("i manifest brightness") && client.data.rhand != "StaffVanadium" && client.data.rhand != "StaffVulture") {
			if(!client.affectForce(20)) return client.chat("Exhausted!");
			
			if(!client.prop("*ovac"))
				client.setProp("*ovac", "0xFFFFFF");
			else
				client.chat("Countered");
		}else
		if(m.contains("i manifest flesh")) {
			if(!client.affectForce(20)) return client.chat("Exhausted!");
			
			client.setProp("*ovac", "");
			client.joinRoom(client.roomId);
		}else
		if(m.contains("i manifest speed")) {
			if(!client.affectForce(50)) return client.chat("Exhausted!");
			
			client.setProp("*speed", "15");
		}else
		if(m.contains("i manifest heights")) {
			if(!client.affectForce(50)) return client.chat("Exhausted!");
			
			client.setProp("*jump", "15");
			client.chat("Jump");
		}else
		if(m.contains("i manifest lightning")) {
			if(!client.affectForce(150)) return client.chat("Exhausted!");
			
			client.setProp("*g", "Lt");
		}else
		if(m.contains("i manifest fire")) {
			if(!client.affectForce(150)) return client.chat("Exhausted!");
			
			client.setProp("*g", "Fire");
			client.chat(client.prop("g"))
		}else
		/*if(m.contains("i manifest size")) {
			if(!client.affectForce(150)) return client.chat("Exhausted!");
			if(client.staffSize) return;
			
			let s = Number(client.prop("size")) || 1;
			
			if(!client.oldsize) client.oldsize = s;
			
			client.setProp("*size", s + 0.2);
			client.staffSize = true;
		}else
		if(m.contains("i manifest normal size") || m.contains("return to normal")) {
			if(!client.affectForce(150)) return client.chat("Exhausted!");
			
			if(client.oldsize) {
				client.setProp("size", client.oldsize);
			}else{
				client.setProp("size", "1");
				client.setProp("*size", "1");
			}
			client.staffSize = false;
			client.staffSizeSm = false;
		}else
		if(m.contains("i manifest smallness")) {
			if(!client.affectForce(150)) return client.chat("Exhausted!");
			if(client.staffSizeSm) return;
			
			let s = Number(client.prop("size")) || 1;
			
			if(!client.oldsize) client.oldsize = s;
			
			client.setProp("*size", s - 0.2);
			client.staffSizeSm = true;
		}else*/
		if(m.contains("i manifest inversion")) {
			if(!client.affectForce(200)) return client.chat("Exhausted!");
			
			client.setProp("*rot", "0,0,180");
		}else
		if(m.contains("i manifest subversion")) {
			if(!client.affectForce(200)) return client.chat("Exhausted!");
			
			client.setProp("*rot", "0,180,0");
		}else
		if(m.contains("i manifest push")) {
			if(!client.affectForce(100)) return client.chat("Exhausted!");
			
			client.setProp("*m", 1);
		}else
		if(m.contains("i escape")) {
			if(!client.affectForce(100)) return client.chat("Exhausted!");
			
			client.teleport(Vector3(client.position.x + rand(-100, 100), client.position.y + 800, client.position.z + rand(-100, 100)), client.rotation);
		}else
		if(m.contains("i come unto")) {
			if(!client.affectForce(100)) return client.chat("Exhausted!");
			if(client.roomId == "WarrenWoundCaverns") {
				return client.chat("Disabled in this room for now");
			}
			
			let n = m.split("i come unto ")[1];
			
			if(!n) return;
			
			n = n.split(" ")[0];
			n = n.replace("!", "");
			
			let sclient = getClientByName(n);
			
			if(!valid(sclient) || isSecret(sclient)) return;
			if(sclient.roomId != client.roomId) return;
			
			client.teleport(Vector3(sclient.position.x, sclient.position.y + 10, sclient.position.z), sclient.rotation);
		}else
		if(m.contains("i banish")) {
			if(!client.affectForce(1000)) return client.chat("Exhausted!");
			
			let n = m.split("i banish ")[1];
			
			if(!n) return;
			
			n = n.split(" ")[0];
			n = n.replace("!", "");
			
			let sclient = getClientByName(n);
			
			if(!valid(sclient) || (isSecret(sclient) && sclient != client)) return;
			if(rand(0, 10) > 2) return;
			
			sclient.joinRoom(pick(["BaraddurDungeons", "CastleCrypt", "Orodoom", "DeadMansDungeons"]));
		}else
		if(m.contains("i manifest uprightness")) {
			if(!client.affectForce(10)) return client.chat("Exhausted!");
			
			client.setProp("*rot", "0,0,0");
		}else
		if(m.contains("i burden")) {
			if(!client.affectForce(300)) return client.chat("Exhausted!");
			
			let n = m.split("i burden ")[1];
			
			if(!n) return;
			
			n = n.split(" ")[0];
			n = n.replace("!", "");
			
			let sclient = getClientByName(n);
			
			if(!valid(sclient) || (isSecret(sclient) && sclient != client)) return;
			
			sclient.prop("*speed", 1);
		}else
		if(m.contains("i unburden")) {
			if(!client.affectForce(300)) return client.chat("Exhausted!");
			
			let n = m.split("i burden ")[1];
			
			if(!n) return;
			
			n = n.split(" ")[0];
			n = n.replace("!", "");
			
			let sclient = getClientByName(n);
			
			if(!valid(sclient) || (isSecret(sclient) && sclient != client)) return;
			
			sclient.setProp("*speed", null);
			sclient.chat("You have been unburdened. Rejoin.");
		}else
		if(m.contains("i step on the feet of")) {
			if(!client.affectForce(300)) return client.chat("Exhausted!");
			
			let n = m.split("i step on the feet of ")[1];
			
			if(!n) return;
			
			n = n.split(" ")[0];
			n = n.replace("!", "");
			
			let sclient = getClientByName(n);
			
			if(!valid(sclient) || (isSecret(sclient) && sclient != client)) return;
			
			sclient.setProp("speed", 1);
		}else
		if(m.contains("i uncripple")) {
			if(!client.affectForce(300)) return client.chat("Exhausted!");
			
			let n = m.split("i uncripple ")[1];
			
			if(!n) return;
			
			n = n.split(" ")[0];
			n = n.replace("!", "");
			
			let sclient = getClientByName(n);
			
			if(!valid(sclient) || (isSecret(sclient) && sclient != client)) return;
			
			sclient.setProp("speed", null);
		}else
		if(m.contains("i drain")) {
			if(!client.affectForce(client.getFullForce())) return client.chat("Exhausted!");
			
			let n = m.split("i drain ")[1];
			
			if(!n) return;
			
			n = n.split(" ")[0];
			n = n.replace("!", "");
			
			let sclient = getClientByName(n);
			
			if(!valid(sclient) || (isSecret(sclient) && sclient != client)) return;
			if(sclient.getStrength() > client.getStrength() * 4) return client.chat("OPPONENT TOO POWERFUL!");
			
			sclient.drainStrength(sclient.getStrength() * 0.01);
		}else
		if(m.contains("i cause it to rain") && (client.data.rhand == "StaffCosmic" || client.data.rhand == "StaffSilver")) {
			if(!client.affectForce(300)) return client.chat("Exhausted!");
			UpdateClimate(client.roomId, "rain");
		}else
		if(m.contains("i cause it to snow") && (client.data.rhand == "StaffAmethyst" || client.data.rhand == "StaffFrostice" || client.data.rhand == "StaffSilver")) {
			if(!client.affectForce(300)) return client.chat("Exhausted!");
			UpdateClimate(client.roomId, "Snow");
		}else
		if(m.contains("i cause it to downpour") && (client.data.rhand == "StaffVanadium" || client.data.rhand == "StaffRadium" || client.data.rhand == "StaffSilver")) {
			if(!client.affectForce(1000)) return client.chat("Exhausted!");
			UpdateClimate(client.roomId, "RainStorm");
		}else
		if(m.contains("i cause it to snow storm") && (client.data.rhand == "StaffVanadium" || client.data.rhand == "StaffRadium" || client.data.rhand == "StaffFrostice" || client.data.rhand == "StaffSilver")) {
			if(!client.affectForce(1000)) return client.chat("Exhausted!");
			UpdateClimate(client.roomId, "SnowStorm");
		}else
		if(m.contains("i cause it to sand storm") && (client.data.rhand == "StaffVanadium" || client.data.rhand == "StaffRadium")) {
			if(!client.affectForce(1000)) return client.chat("Exhausted!");
			UpdateClimate(client.roomId, "SandStorm");
		}else
		if(m.contains("i cause it to be clear") || m.contains("i cause it to stop")) {
			if(!client.affectForce(100)) return client.chat("Exhausted!");
			if(client.room.persistentWeather || client.roomId == "StoneIsle") return;
			UpdateClimate(client.roomId, "Clear");
		}else
		if(m.contains("i manifest illumination")) {
			if(!client.affectForce(100)) return client.chat("Exhausted!");
			client.instantiate("Ins_WizlockLight", "Wl_" + client.data.id, client.position, client.rotation, Vector3(1,1,1), true, true);
		}else
		if(m.contains("i manifest flames")) {
			if(!client.affectForce(100)) return client.chat("Exhausted!");
			client.instantiate("Ins_Fire", "F_" + client.data.id, client.position, client.rotation, Vector3(2,2,2), true, true);
		}else
		if(m.contains("i unmanifest")) {
			client.clearInsObjs();
		}else
		if(m.contains("i manifest roots")) {
			if(!client.affectForce(500)) return client.chat("Exhausted!");
			client.prop("*srooted", 1);
		}else
		if(m.contains("i ground")) {
			if(!client.affectForce(300)) return client.chat("Exhausted!");

			let n = m.split("i ground ")[1];
			
			if(!n) return;
			
			n = n.split(" ")[0];
			n = n.replace("!", "");
			
			let sclient = getClientByName(n);

			if(!valid(sclient) || (isSecret(sclient) && sclient != client)) return;
			if(sclient.roomId != client.roomId) return;
			
			sclient.setProp("*jump", "0");
			sclient.setProp("*grounded", 1);
			sclient.chat("You have become one with the ground.");

			if(sclient.data.neck.toLowerCase().contains("jetpack")) { // Gotta add selfupdate for client
				sclient.data.neck = "";
			}

			for(item in sclient.inventory) { // Remove jetpacks from inv temporarily
				if(item.toLowerCase().contains("jetpack")) {
					ClientSend(serialize("ri", [item, sclient.inventory[item]]), sclient);		
				}
			}

			SendRoom(serialize("ups", [sclient.data.id, createPlayerString(sclient)]), sclient.room);

		}else
		if(m.contains("i selfheal")) {
			if(client.prop("sht"))
				if(client.prop("sht") > time())
					return client.chat("No more second chances.");

			if(client.force < 700) return; // Have to be relatively powerful
			client.affectForce(client.force); // Junk all their force

			client.resetHealth();
			client.setProp("sht", time() + (60*60)); // 1 hour
		}else
		if(m.contains("i twist the mind of")) {
			if(!client.affectForce(500)) return client.chat("Exhausted!");

			let n = m.split("i twist the mind of ")[1];
			
			if(!n) return;
			
			n = n.split(" ")[0];
			n = n.replace("!", "");
			
			let sclient = getClientByName(n);
			
			if(!valid(sclient) || (isSecret(sclient) && sclient != client)) return;
			if(sclient.roomId != client.roomId) return;

			sclient.setProp("*insane", 1);
		}else
		if(m.contains("i relieve the mind of")) {
			if(!client.affectForce(200)) return client.chat("Exhausted!");

			let n = m.split("i relieve the mind of ")[1];
			
			if(!n) return;
			
			n = n.split(" ")[0];
			n = n.replace("!", "");
			
			let sclient = getClientByName(n);
			
			if(!valid(sclient) || (isSecret(sclient) && sclient != client)) return;
			
			sclient.setProp("*insane", null);
		}else
		if(m.contains("i twist the words of")) {
			if(!client.affectForce(250)) return client.chat("Exhausted!");
			
			let n = m.split("i twist the words of ")[1];
			
			if(!n) return;
			
			n = n.split(" ")[0];
			n = n.replace("!", "");
			
			let sclient = getClientByName(n);
			
			if(!valid(sclient) || (isSecret(sclient) && sclient != client)) return;
			if(sclient.roomId != client.roomId) return;
			
			sclient.setProp("*shuffle", 1);
		}else
		if(m.contains("i untie")) {
			if(!client.affectForce(250)) return client.chat("Exhausted!");
			
			let n = m.split("i untie ")[1];
			
			if(!n) return;
			
			n = n.split(" ")[0];
			n = n.replace("!", "");
			
			let sclient = getClientByName(n);
			
			if(!valid(sclient) || (isSecret(sclient) && sclient != client)) return;
			
			sclient.setProp("*shuffle", null);
		}else
		if(m.contains("i manifest absorbtion")) {
			if(client.absorb) return;
			if(!client.affectForce(1000)) return client.chat("Exhausted!");
			client.setProp("*absorb", 3);
			client.chat("Absorbtion enabled for 10 seconds");
			
			clearTimeout(client.absorbspelltimer);
			client.absorb = true;
			
			client.absorbspelltimer = setTimeout((client) => {
				client.absorb = false;
				client.setProp("*absorb", null);
				client.chat("Absorbtion over");
			}, 10000, client);
		}else
		if(m.contains("i manifest fatal blow")) {
			if(client.fatalblow) return;
			if(!client.affectForce(1200)) return client.chat("Exhausted!");
			
			client.setProp("*dmult", 3);
			client.chat("Fatal blow enabled for 3 seconds");
			
			clearTimeout(client.fatalblowtimer);
			client.fatalblow = true;
			
			client.fatalblowtimer = setTimeout((client) => {
				client.fatalblow = false;
				client.setProp("*dmult", null);
				client.chat("Fatal blow over");
			}, 3000, client);
		}else
		if(m.contains("i cleanse") && client.data.rhand != "StaffVanadium" && client.data.rhand != "StaffVulture"){
			if(!client.affectForce(300)) return client.chat("Exhausted!");
			
			let n = m.split("i cleanse ")[1];

			if(!n) return;

			n = n.replace("!", "");

			let sclient = getClientByName(n);

			if(!valid(sclient) || (isSecret(sclient) && sclient != client)) return;

			// Remove their ovac only if its evil

			if(client.prop("ovac")?.toLowerCase() == "0x000001")
				sclient.setProp("ovac", "");
			else
				client.chat("Could not cleanse this person!");
		}
	}
	
}, "wizlocks");

P3D.on("death", (client, attacker) => {
	if(!valid(attacker)) return;
	if(client.bot) return;
	
	let weapon = items[attacker.data.hands];
	if(!weapon) return;
	if(!weapon.absorbs) return;
	
	client.setProp("soulbind", weapon.name);
	
	if(attacker.data.dimension <= 3)
		client.room.chat(attacker.data.username + " has absorbed " + client.data.username + "'s soul into the weapon " + weapon.name);
		
	attacker.chat(client.data.username + "'s soul is now bound to the weapon '" + weapon.name + "'.");
	
}, "deathabsorb");

P3D.on("equip", (client, item) => {
	
	if(item.id == "Holocron") {
		let chance = rand(0, 100);
		
		if(client.knowledge) return;
		
		if(client.data.strength < 7000)
			return client.chat("You are too weak to use this");
		
		if(chance > 50) {
			let mult = client.data.damageMultiplier;
			client.data.damageMultiplier = 1000;
			setTimeout(() => {
				client.data.damageMultiplier = mult;
				client.knowledge = false;
				client.chat("Knowledge deactivated");
			}, 10000);
			client.knowledge = true;
			client.drainStrength(7000);
			client.chat("Knowledge activated: Nameless One's justice enabled for 10 seconds");
		}else{
			let origin = Number(client.data.health);
			
			client.data.health = 1000000;
			
			setTimeout(() => {
				client.data.health = origin;
				client.knowledge = false;
				client.health = client.getTotalHealth(true);
				client.chat("Knowledge deactivated");
			}, 10000);
			
			client.data.healthp = 1;
			client.health = client.getTotalHealth(true);
			client.knowledge = true;
			client.drainStrength(7000);
			client.chat("Power activated: Impunity enabled for 10 seconds.");
		}
	}
	if(item.id == "SithHolocron") {
		let chance = rand(0, 100);
		
		if(client.knowledge) return;
		
		if(client.data.strength < 7000)
			return client.chat("You are too weak to use this");
		
		if(!client.prop("sithreward")) {
			client.choice("Choose knowledge", ["Force Choke", "Red Lightning", "Damage Buff", "The Passcode"], function(choice, client) {
				switch(choice) {
					case "Force Choke":
						client.setProp("fchoke", 3);
						client.notice("You have learnt force choke");
					break;
					case "Red Lightning":
						client.setProp("g", "Ltr");
						client.notice("You have learnt red lightning");
					break;
					case "Damage Buff":
						client.data.damageMultiplier = 1.08;
						mysql.query("UPDATE users SET damageMultiplier = ? WHERE id = ?", [client.data.damageMultiplier, client.data.id]);
						client.notice("You have learnt an evil 8 percent damage buff");
					break;
					case "The Passcode":
						client.notice("The passcode is Tanis")
					break;
				}
				if(choice != "The Passcode")
					client.setProp("sithreward", 1);
			});
			return;
		}
		const cost = 10000;
		if(client.data.strength < cost) {
			return;
		}
		
		if(chance > 98) {
			let mult = client.data.damageMultiplier;
			client.data.damageMultiplier = 10;
			setTimeout(() => {
				client.data.damageMultiplier = mult;
				client.knowledge = false;
				client.chat("Knowledge deactivated");
			}, 10000);
			client.knowledge = true;
			client.drainStrength(cost);
			client.chat("Knowledge activated: Malice of Morgoth enabled for 10 seconds");
		}else{
			let origin = Number(client.data.health);
			
			client.data.health = 10000;
			
			setTimeout(() => {
				client.data.health = origin;
				client.knowledge = false;
				client.health = client.getTotalHealth(true);
				client.chat("Knowledge deactivated");
			}, 10000);
			
			client.data.healthp = 1;
			client.health = client.getTotalHealth(true);
			client.knowledge = true;
			client.drainStrength(cost);
			client.chat("Power activated: Impunity enabled for 10 seconds.");
		}
	}
	if(item.id == "StrengthStone") {
		client.addStrength(3333, false, true);
		client.removeItem(item.id);
	}
	if(item.id == "StrengthStoneEvil") {
		client.addStrength(6666, false, true);
		client.setProp("ovac", "0x000001");
		client.removeItem(item.id);
	}
	
}, "holocron");