P3D.WarHelm = function(args, client) {
	if(!client.warhelm) {
		return;
	}
	if(client.warhelm.inventory.length <= 0) {
		client.chat("You have no bots");
		return;
	}
	
	let command = args.shift();
	
	if(!command) command = "";
	command = command.toLowerCase();
	
	switch(command) {
		case "inventory": {
			client.chat(JSON.stringify(client.warhelm.inventory));
			break;
		}
		case "spawn": {
			let name = args.shift();
			let amt = Number(args.shift()) || 1;
			let tag = args.shift() || client.defaultTag();
			
			if(!name) break;
			if(amt > 25 && !client.props.supreme) amt = 25;
			
			let allowed = false;
			let has = 0;
			let spawnedSoFar = 0;
			
			for(let e in client.warhelm.inventory) {
				if(e.toLowerCase() == name.toLowerCase()) {
					if(client.warhelm.inventory[e] >= amt)
						allowed = true;
						
					has = client.warhelm.inventory[e];
						
					name = e;
					break;
				}
			}
			
			if(!allowed && !client.superuser) {
				client.chat(`You do not have enough ${name}(s). You currently have ${has} ${name}(s).`);
				break;
			}
			
			for(let i in clients) {
				let bot = clients[i];
				if(!bot) continue;
				if(!bot.botobj) continue;
				
				if(bot.botobj.spawner == client.data.id) {
					spawnedSoFar++;
				}
			}
			
			if(spawnedSoFar >= 50 && !client.props.supreme) {
				client.chat(`You have spawned too many bots into the game at once. There are currently ${spawnedSoFar} active.`);
				break;
			}
			
			client.warhelm.inventory[name] -= amt;
			
			mysql.query("UPDATE userbots SET amount = amount - ? WHERE user = ? AND bot = ?", [
				amt,
				client.data.id,
				name
			]);
			
			for(let i = 0; i < amt; i++) {
				SpawnBotFromPrefab(name, "", client.roomId, client.position, client.rotation, {
					attacks: null,
					follows: null,
					wanders: false,
					tag: tag,
					spawner: client.data.id
				});
			}
			
			client.chat(`You have used ${amt} ${name}(s)`);
				
			break;
		}
		case "pet": {
			let name = args.shift();
			let amt = 1;
			let tag = args.shift() || client.defaultTag();
			
			if(!name) break;
			
			let allowed = false;
			let has = 0;
			let spawnedSoFar = 0;
			
			for(let e in client.warhelm.inventory) {
				if(e.toLowerCase() == name.toLowerCase()) {
					if(client.warhelm.inventory[e] >= amt)
						allowed = true;
						
					has = client.warhelm.inventory[e];
						
					name = e;
					break;
				}
			}
			
			if(!allowed) {
				client.chat(`You do not have enough ${name}(s). You currently have ${has} ${name}(s).`);
				break;
			}
			
			for(let i in clients) {
				let bot = clients[i];
				if(!bot) continue;
				if(!bot.botobj) continue;
				
				if(bot.botobj.spawner == client.data.id) {
					spawnedSoFar++;
				}
			}
			
			if(spawnedSoFar >= 50 && !client.props.supreme) {
				client.chat(`You have spawned too many bots into the game at once. There are currently ${spawnedSoFar} active.`);
				break;
			}
			
			client.warhelm.inventory[name] -= amt;
			
			for(let i = 0; i < amt; i++) {
				SpawnBotFromPrefab(name, "", client.roomId, client.position, client.rotation, {
					attacks: null,
					follows: null,
					wanders: false,
					tag: tag,
					spawner: client.data.id
				});
			}
			
			client.chat(`You have spawned ${name} as a pet (won't affect your bot inventory)`);
				
			break;
		}
		case "attack": {
			let clan = args.shift() || "";
			let tag = args.shift() || client.defaultTag();
			
			if(clan == "goods" || clan == "citizen") {
				clan = "";
			}
			
			let ordered = 0;
			
			for(let i in clients) {
				let bot = clients[i];
				if(!bot) continue;
				if(!bot.botobj) continue;
				
				if(bot.botobj.tag == tag) {
					bot.attacks = {clan: clan};
					ordered++;
				}
			}
			client.chat("Ordered " + ordered + " bot(s).");
			break;
		}
		case "attackuser": {
			let name = args.shift();
			let tag = args.shift() || client.defaultTag();
			
			if(!name) {
				client.chat("Enter a name to attack");
				break;
			}
			
			let ordered = 0;
			
			for(let i in clients) {
				let bot = clients[i];
				if(!bot) continue;
				if(!bot.botobj) continue;
				
				if(bot.botobj.tag == tag) {
					bot.attacks = {username: name};
					ordered++;
				}
			}
			client.chat("Ordered " + ordered + " bot(s).");
			break;
		}
		case "follow": {
			let tag = args.shift() || client.defaultTag();
			
			let ordered = 0;
			
			for(let i in clients) {
				let bot = clients[i];
				if(!bot) continue;
				if(!bot.botobj) continue;
				
				if(bot.botobj.tag == tag) {
					bot.follows = {id: client.data.id};
					ordered++;
				}
			}
			client.chat("Ordered " + ordered + " bot(s).");
			break;
		}
		case "halt": {
			let tag = args.shift() || client.defaultTag();
			
			let ordered = 0;
			
			for(let i in clients) {
				let bot = clients[i];
				if(!bot) continue;
				if(!bot.botobj) continue;
				
				if(bot.botobj.tag == tag) {
					bot.attacks = null;
					bot.follows = null;
					bot.wanders = false;
					ordered++;
					
					SendBotUpdate(bot);
				}
			}
			client.chat("Ordered " + ordered + " bot(s).");
			break;
		}
		case "wander": {
			let tag = args.shift() || client.defaultTag();
			
			let ordered = 0;
			
			for(let i in clients) {
				let bot = clients[i];
				if(!bot) continue;
				if(!bot.botobj) continue;
				
				if(bot.botobj.tag == tag) {
					bot.attacks = null;
					bot.wanders = true;
					ordered++;
					
					SendBotUpdate(bot);
				}
			}
			client.chat("Ordered " + ordered + " bot(s).");
			break;
		}
		case "clear": {
			let tag = args.shift() || client.defaultTag();
			
			let cleared = 0;
			let box = [];
			
			for(let i in clients) {
				let bot = clients[i];
				if(!bot) continue;
				if(!bot.botobj) continue;
				
				if(bot.botobj.tag == tag) {
					box.push(bot);
					cleared++;
				}
			}
			for(let e in box) {
				DESTROYCLIENT(box[e]);
			}
			
			client.chat("Cleared " + cleared + " bot(s).");
			break;
		}
		case "come": {
			let tag = args.shift() || client.defaultTag();
			
			let ordered = 0;
			
			for(let i in clients) {
				let bot = clients[i];
				if(!bot) continue;
				if(!bot.botobj) continue;
				
				if(bot.botobj.tag == tag) {
					if(bot.roomId != client.roomId) {
						bot.joinRoom(client.roomId, "", {position: client.position, rotation: client.rotation});
						ordered++;
						continue;
					}
					SendBotPathRequest(bot, client.position, client.rotation);
					ordered++;
				}
			}
			
			client.chat("Ordered " + ordered + " bot(s).");
			break;
		}
		case "summon": {
			let tag = args.shift() || client.defaultTag();
			
			let ordered = 0;
			
			for(let i in clients) {
				let bot = clients[i];
				if(!bot) continue;
				if(!bot.botobj) continue;
				
				if(bot.botobj.tag == tag) {
					if(bot.roomId != client.roomId) {
						bot.joinRoom(client.roomId, "", {position: client.position, rotation: client.rotation});
						ordered++;
						continue;
					}
					SendRoom(serialize("tp", [bot.data.id, client.position.x, client.position.y, client.position.z, client.rotation.x, client.rotation.y, client.rotation.z]), client.room);
					bot.resetVelocity();
					ordered++;
				}
			}
			
			client.chat("Ordered " + ordered + " bot(s).");
			break;
		}
		case "line": {
			let tag = args.shift() || client.defaultTag();
			let spacing = Number(args.shift()) || 3;
			let maxX = Number(args.shift()) || 10;
			
			if(tag == "$") tag = client.defaultTag();
			
			let ordered = 0;
			let x = 0;
			let z = 0;
			
			for(let i in clients) {
				let bot = clients[i];
				if(!bot) continue;
				if(!bot.botobj) continue;
				
				if(bot.botobj.tag == tag) {
					let pos = Transform.pointToWorldFrame(
						client.position,
						new Quaternion().fromEulerRad(client.rotation),
						Vector3(x * spacing, 0, -(z * spacing))
					);
					
					SendBotPathRequest(bot, pos, client.rotation);
					
					x++;
					
					if(x >= maxX) {
						x = 0;
						z++;
					}
					ordered++;
				}
			}
			
			client.chat("Ordered " + ordered + " bot(s).");
			break;
		}
		case "advance": {
			let tag = args.shift() || client.defaultTag();
			
			if(tag == "$") tag = client.defaultTag();
			
			let ordered = 0;
			let speed = Number(args.shift()) || 2;
			let dist = Number(args.shift()) || 30;
			
			for(let i in clients) {
				let bot = clients[i];
				if(!bot) continue;
				if(!bot.botobj) continue;
				
				let botForward = new Quaternion().fromEulerRad(bot.rotation).getForwardDirection();
				let to = bot.position.vadd(botForward.mult(dist));
				
				if(bot.botobj.tag == tag) {
					BotTo(bot, to, bot.rotation, speed);
					ordered++;
				}
			}
			
			client.chat("Ordered " + ordered + " bot(s).");
			break;
		}
		
		default:
			client.chat("Invalid command");
		break;
	}
}