module.exports.getRoomList = function() {
	for(var i in rooms) {
		rooms[i].id = i;
		rooms[i].originalId = i;
		rooms[i].clients = [];
		rooms[i].climate = "";
		rooms[i].fmap = [];
		rooms[i].supermap = {};
	
		if(rooms[i].pvp == undefined) {
			rooms[i].pvp = true;
		}
		if(!rooms[i].map) {
			rooms[i].map = "Island";
		}
		if(!rooms[i].ogMap) {
			rooms[i].ogMap = {};
		}
		rooms[i].ogMapOriginal = JSON.parse(JSON.stringify(rooms[i].ogMap));
	}
	return rooms;
}

function og(pos, rot) {
	return {position: pos, rotation: rot, owner: 0};
}

var rooms = [];
var defaultGravityY = -30;

rooms["Island"] = {
	name: "The Island",
	limit: 100000,
	busy: true,
	scene: "IslandNew",
	airAllow: true,
	ogZones: {
		Waterhill: {teleport: "Mountain", classifyPlaces: 3},
		Bedhill: {teleport: "Mountain", classifyPlaces: 2},
		Bunnyhill: {teleport: "Mountain", classifyPlaces: 4},
		Megahill: {teleport: "Mountain", classifyPlaces: 4},
	},
	spawns: [
		{name: "Spawn", position: {x: 106, y: 10, z: 130}, rotation: {x: 0, y: 245, z: 0}},
		{name: "Lighthouse"},
		{name: "Mountain"},
		{name: "Town"},
		{name: "Fort"},
		{name: "Plaza"},
		{name: "Mine"},
		{name: "Dock"},
		{name: "Village"},
		{name: "Forest"},
		{name: "Cove"},
		{name: "Thrones"},
		{name: "Dojo"},
		{name: "SpiderCave"},
		{name: "LaunchStation"},
		
		{name: "AirNorth", position: {x: 0, y: 900, z: 10585}, rotation: {x: 0, y: -180, z: 0}, air: true, private: true},
		{name: "AirEast", position: {x: 10585, y: 900, z: 0}, rotation: {x: 0, y: -90, z: 0}, air: true, private: true},
		{name: "AirSouth", position: {x: 0, y: 900, z: -10585}, rotation: {x: 0, y: 0, z: 0}, air: true, private: true},
		{name: "AirWest", position: {x: -10585, y: 900, z: 0}, rotation: {x: 0, y: 90, z: 0}, air: true, private: true},
		
		{name: "ThronesExterior", private: true},
		{name: "IceBerg", private: true},
		{name: "Beacon", private: true},
		{name: "LighthouseExterior", private: true},
		{name: "CafeExterior", private: true},
		{name: "CafeExterior2", private: true},
		{name: "NightClubExterior", private: true},
		{name: "ShopExterior", private: true},
		{name: "ParlorExterior", private: true},
		{name: "StageExterior", private: true},
		{name: "MineExterior", private: true},
		{name: "LodgeExterior", private: true},
		{name: "ALodgeExterior", private: true},
		{name: "DojoExterior", private: true},
		{name: "SouthPort", private: true},
		{name: "SkiPort", private: true},
		{name: "SouthPortEast", private: true},
		{name: "CafeRoof", private: true},
		{name: "FurnExterior", private: true},
		{name: "Waterfall", private: true},
		{name: "PetExterior", private: true},
		{name: "MonasteryExterior", private: true},
		{name: "Atmosphere", private: true},
		{name: "LaunchStationRoof", private: true},
		{name: "Carrier", private: true},
	],
	fishing: [
		{name: "Arctic Ocean", position: {x: 0, y: 0, z: 0}, radius: 1000, maxFish: 0, fishes: [
			"SeaBass"
		]},
		{name: "Log Pond", position: {x: 16.2, y: 0.8, z: -151}, radius: 8, maxFish: 5, fishes: [
			"SeaBass", "SeaBass", "BluefinTuna"
		]}
	]
}
rooms["IslandOld"] = {
	name: "The Island",
	limit: 100000,
	busy: true,
	scene: "Island",
	airAllow: true,
	spawns: [
		{name: "Lighthouse", position: {x: 790, y: 7.46, z: 765}, rotation: {x: 0, y: 140, z: 0}},
		{name: "Mountain", position: {x: 445, y: 150, z: -380}, rotation: {x: 0, y: 0, z: 0}},
		{name: "Town", position: {x: 190, y: 30, z: 368}, rotation: {x: 0, y: 190, z: 0}},
		{name: "Spawn", position: {x: 190, y: 30, z: 368}, rotation: {x: 0, y: 190, z: 0}},
		{name: "Fort", position: {x: 127.31, y: 30, z: 391.3}, rotation: {x: 0, y: -45, z: 0}},
		{name: "Plaza", position: {x: 40.4, y: 30.56049, z: 426.73}, rotation: {x: 0, y: -101, z: 0}},
		{name: "Mine", position: {x: -318.0987, y: 29.99451, z: 15.06927}, rotation: {x: 0, y: -130, z: 0}},
		{name: "Dock", position: {x: 258.4486, y: 7.486796, z: 797.9332}, rotation: {x: 0, y: 0, z: 0}},
		{name: "Village", position: {x: 41.94971, y: 31.36759, z: -370.2368}, rotation: {x: 0, y: 0, z: 0}},
		{name: "Forest", position: {x: -519.84, y: 70.00549, z: 657.63}, rotation: {x: 0, y: 30, z: 0}},
		{name: "Cove", position: {x: -775.68, y: 5.31, z: 839.98}, rotation: {x: 0, y: 0, z: 0}},
		{name: "Thrones", position: {x: -242.49, y: 29.81, z: -298}, rotation: {x: 0, y: 33, z: 0}},
		{name: "Dojo", position: {x: -95.34, y: 60.00732, z: -706.45}, rotation: {x: 0, y: 79.19, z: 0}},
		{name: "SpiderCave", position: {x: 701.83, y: 24.31, z: 22.79}, rotation: {x: 0, y: 83.42101, z: 0}},
		{name: "RaceTrack", position: {x: 1248.769, y: 29.99451, z: 39.63367}, rotation: {x: 0, y: -180, z: 0}},
		
		{name: "ThronesExterior", position: {x: -248.57, y: 32.84613, z: -309.5}, rotation: {x: 0, y: 33, z: 0}, private: true},
		{name: "IceBerg", position: {x: -4157, y: 5.591, z: -100}, rotation: {x: 0, y: 90, z: 0}, private: true},
		{name: "Beacon", position: {x: 819.5, y: 50.22, z: 763}, rotation: {x: 0, y: -29.5, z: 0}, private: true},
		{name: "LighthouseExterior", position: {x: 800, y: 7.58, z: 767}, rotation: {x: 0, y: -80, z: 0}, private: true},
		{name: "CafeExterior", position: {x: 215.7767, y: 29.994, z: 353.0043}, rotation: {x: 0, y: 0, z: 0}, private: true},
		{name: "CafeExterior2", position: {x: 219.47, y: 29.50313, z: 331.14}, rotation: {x: 0, y: 180, z: 0}, private: true},
		{name: "NightClubExterior", position: {x: 195.05, y: 30, z: 355.16}, rotation: {x: 0, y: 0, z: 0}, private: true},
		{name: "ShopExterior", position: {x: 177.8121, y: 30, z: 357.8474}, rotation: {x: 0, y: 34, z: 0}, private: true},
		{name: "ParlorExterior", position: {x: 27.35998, y: 30.64036, z: 428.472}, rotation: {x: 0, y: 34, z: 0}, private: true},
		{name: "StageExterior", position: {x: 28.37, y: 30.56038, z: 409.82}, rotation: {x: 0, y: 65.248, z: 0}, private: true},
		{name: "MineExterior", position: {x: -348.1415, y: 29.98541, z: -11.0484}, rotation: {x: 0, y: 0, z: 0}, private: true},
		{name: "LodgeExterior", position: {x: 37.37, y: 35.16348, z: -386.77}, rotation: {x: 0, y: 40.173, z: 0}, private: true},
		{name: "ALodgeExterior", position: {x: 578.9141, y: 60.35506, z: -314.6147}, rotation: {x: 0, y: 44.766, z: 0}, private: true},
		{name: "DojoExterior", position: {x: -95.34, y: 60.00732, z: -706.45}, rotation: {x: 0, y: 79.19, z: 0}, private: true},
		{name: "SouthPort", position: {x: -60.51387, y: 12.95942, z: -971.7761}, rotation: {x: 0, y: 0, z: 0}, private: true},
		{name: "CafeRoof", position: {x: 220.65, y: 42.43591, z: 338.87}, rotation: {x: 0, y: 175, z: 0}, private: true},
		{name: "FurnExterior", position: {x: 176.37, y: 30.20607, z: 388.18}, rotation: {x: 0, y: 166.439, z: 0}, private: true},
		{name: "Waterfall", position: {x: -563.06, y: 49.83648, z: 694.07}, rotation: {x: 0, y: -36.61, z: 0}, private: true},
		{name: "PetExterior", position: {x: 14.55, y: 30.5, z: 418.75}, rotation: {x: 0, y: 94, z: 0}, private: true},
		{name: "MonasteryExterior", position: {x: 512.13, y: 100, z: -672.71}, rotation: {x: 0, y: -90, z: 0}, private: true},
		
	]
}
rooms["Lighthouse"] = {
	name: "Lighthouse",
	limit: 100,
	busy: false,
	scene: "Lighthouse",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: -0.24, y: 0.52, z: 14}, rotation: {x: 0, y: 170, z: 0}},
		{name: "FromTop", position: {x: -6.887799, y: 35.56432, z: 12.52886}, rotation: {x: 0, y: -111.265, z: 0}, private: true},
	]
}
rooms["Cafe"] = {
	name: "Cafe",
	limit: 50,
	busy: false,
	scene: "Cafe",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: -2.249318, y: -0.11, z: -11.1093}, rotation: {x: 0, y: 0, z: 0}},
		{name: "BackDoor", position: {x: 5.37, y: -0.11, z: 10.89}, rotation: {x: 0, y: -180, z: 0}},
		{name: "FromUpstairs", position: {x: -8.9, y: -0.11, z: 11.27}, rotation: {x: 0, y: -270, z: 0}}
	]
}
rooms["BookRoom"] = {
	name: "Book Room",
	limit: 50,
	busy: false,
	scene: "BookRoom",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: -8.18, y: -0.11, z: 3.29}, rotation: {x: 0, y: 180, z: 0}},
	]
}
rooms["NightClub"] = {
	name: "Night Club",
	limit: 50,
	busy: false,
	scene: "NightClub",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 203.95, y: 0, z: 365.05}, rotation: {x: 0, y: 180, z: 0}},
		{name: "FromUpstairs", position: {x: 229, y: 0, z: 346.52}, rotation: {x: 0, y: -90, z: 0}},
	]
}
rooms["TheLounge"] = {
	name: "The Lounge",
	limit: 50,
	busy: false,
	scene: "TheLounge",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 0, y: 0, z: -11.98}, rotation: {x: 0, y: 90, z: 0}},
	]
}
rooms["Shop"] = {
	name: "The Shop",
	limit: 50,
	busy: false,
	scene: "Shop",
	map: "Island",
	spawns: [
		{name: "Spawn"},
		{name: "Basement", private: true},
	]
}
rooms["PizzaParlor"] = {
	name: "Pizza Parlor",
	limit: 50,
	busy: false,
	scene: "PizzaParlor",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 5.335269, y: 0, z: -5.613136}, rotation: {x: 0, y: 0, z: 0}},
		{name: "FromUpstairs", position: {x: -7.22, y: 0, z: 10.22}, rotation: {x: 0, y: 180, z: 0}},
	]
}
rooms["PizzaUpstairs"] = {
	name: "Parlor Storage",
	limit: 50,
	busy: false,
	scene: "PizzaUpstairs",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: -11.16271, y: 0, z: -0.88841}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["Stage"] = {
	name: "The Stage",
	limit: 50,
	busy: false,
	scene: "Stage",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: -29.16, y: 0, z: 11.1}, rotation: {x: 0, y: 90, z: 0}},
	]
}
rooms["Mine"] = {
	name: "Mine",
	limit: 50,
	busy: false,
	scene: "Mine",
	map: "Island",
	spawns: [
		//{name: "Spawn", position: {x: -8.92, y: 0.3611066, z: -6.47}, rotation: {x: 0, y: 62.89, z: 0}},
		{name: "Mine"},
		{name: "Hole", private: true},
	]
}
rooms["Lodge"] = {
	name: "The Lodge",
	limit: 50,
	busy: false,
	scene: "Lodge",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 0.6594157, y: 0.2628316, z: -4.346796}, rotation: {x: 0, y: -90, z: 0}},
		{name: "FromUpstairs", position: {x: 0.84, y: 0.2628316, z: 5.97}, rotation: {x: 0, y: -141.9, z: 0}},
	]
}
rooms["LodgeAttic"] = {
	name: "Lodge Attic",
	limit: 50,
	busy: false,
	scene: "LodgeAttic",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 1.78, y: 7.544295, z: 4.82}, rotation: {x: 0, y: 180, z: 0}},
	]
}
rooms["AbandonedLodge"] = {
	name: "Abandoned Lodge",
	limit: 50,
	busy: false,
	scene: "AbandonedLodge",
	pvp: true,
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 0.6594157, y: 0.2628316, z: -4.346796}, rotation: {x: 0, y: -90, z: 0}},
	]
}
rooms["Dojo"] = {
	name: "Dojo",
	limit: 50,
	busy: false,
	scene: "Dojo",
	map: "Island",
	pvp: true,
	meditate: true,
	spawns: [
		{name: "Spawn", position: {x: 0.35, y: 0, z: 10.3}, rotation: {x: 0, y: 180, z: 0}},
	]
}
rooms["Thrones"] = {
	name: "The Throne Room",
	limit: 100,
	busy: false,
	scene: "Thrones",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: -27.04, y: 0, z: 0.02}, rotation: {x: 0, y: 90, z: 0}},
		{name: "FromTemple", position: {x: 153.68, y: 0, z: -6.047995}, rotation: {x: 0, y: 180, z: 0}, private: true},
		{name: "BalconyRight", position: {x: 22, y: 19.62439, z: -23.28}, rotation: {x: 0, y: -90.22601, z: 0}, private: true},
		{name: "BalconyLeft", position: {x: 22.27284, y: 15.58461, z: 23.4313}, rotation: {x: 0, y: -83.50301, z: 0}, private: true},
		{name: "FromSmithy", position: {x: 79.94958, y: 0, z: -35.20295}, rotation: {x: 0, y: 0, z: 0}, private: true},
		{name: "FromCrypt", position: {x: 122.95, y: 0, z: -35.18}, rotation: {x: 0, y: 0, z: 0}, private: true},
		{name: "FromCourtyard", private: true},
		{name: "MothDoorway", private: true},
		{name: "DiningRoom", private: true},
		{name: "FromBank", private: true},
		{name: "Cinema", private: true},
		{name: "FromPC", private: true}
	]
}
rooms["MothLibrary"] = {
	name: "Moth Library",
	limit: 50,
	busy: false,
	scene: "MothLibrary",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 14.40966, y: 0, z: -9.722485}, rotation: {x: 0, y: 0, z: 0}},
		{name: "FromTemple", position: {x: 14.40966, y: 0, z: 6}, rotation: {x: 0, y: 180, z: 0}, private: true},
		{name: "FromPC", private: true}
	]
}
rooms["MothTemple"] = {
	name: "Moth Temple",
	limit: 50,
	busy: false,
	scene: "MothTemple",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 0, y: 1.087294, z: 18.16143}, rotation: {x: 0, y: 180, z: 0}},
		{name: "Level22", position: {x: 16.1, y: 30.85207, z: -7.46}, rotation: {x: 0, y: -62.18, z: 0}, private: true},
		{name: "Level2", position: {x: -16.8, y: 30.85207, z: -5.08}, rotation: {x: 0, y: 78.444, z: 0}, private: true},
	]
}
rooms["ProvidenceIsland"] = {
	name: "Providence Island",
	limit: 100,
	busy: false,
	scene: "ProvidenceIsland",
	map: "ProvidenceIsland",
	pvp: true,
	airAllow: true,
	ogMap: {
		"OG_Bonanza $2PRV": og({x: 259.4, y: -60.37131, z: 956.6}, {x: 0, y: 280.5349, z: 0}),
		"OG_Bonanza $1PRV": og({x: 265.9, y: -60.37131, z: 1013}, {x: 0, y: 280.5349, z: 0}),
		"OG_AirvesselA320NovaAir $1PRV": og({x: 251.1, y: -62.22, z: 1088.4}, {x: 0, y: 283.5542, z: 0}),
	},
	spawns: [
		{name: "PortToben", position: {x: 1436.526, y: -63.31, z: 176.953}, rotation: {x: 0, y: -90, z: 0}},
		{name: "SkullBeach", position: {x: 805.0092, y: -60.49382, z: 291.6436}, rotation: {x: 0, y: -60, z: 0}},
		{name: "LibertyHouse", position: {x: 5.74, y: -23.99725, z: 762.43}, rotation: {x: 0, y: -74.83, z: 0}},
		{name: "Blackwood", position: {x: 486.0406, y: -67.24039, z: 1244.26}, rotation: {x: 0, y: 0, z: 0}},
		{name: "Kingsbay", position: {x: 630.7493, y: -69.50119, z: 1404.029}, rotation: {x: 0, y: 24.882, z: 0}},
		{name: "Airport"},
		
		{name: "Beacon", position: {x: 668.8079, y: -24.21194, z: 1390.258}, rotation: {x: 0, y: 0, z: 0}, private: true},
		{name: "TobensOfficeExterior", position: {x: 1355.813, y: -63.83925, z: 129.2258}, rotation: {x: 0, y: 22.761, z: 0}, private: true},
		{name: "LighthouseExterior", position: {x: 657.1406, y: -67.73497, z: 1402.453}, rotation: {x: 0, y: -34.649, z: 0}, private: true},
		{name: "DeadMansHeights", position: {x: -50.27316, y: 103.2852, z: 504.6611}, rotation: {x: 0, y: 117.045, z: 0}, private: true},
		{name: "FromGuts", position: {x: 49.74, y: 2.12, z: 365}, rotation: {x: 0, y: -54.894, z: 0}, private: true},
		{name: "ColiseumExterior", position: {x: 545.26, y: -64.00824, z: 21.61}, rotation: {x: 0, y: 0, z: 0}, private: true},
		{name: "RadiumPortal", position: {x: 1379.35, y: -27.03373, z: 1087.1}, rotation: {x: 0, y: -90, z: 0}, private: true},
		{name: "InfernoPortal", position: {x: -62.26346, y: 126.96, z: 517.3931}, rotation: {x: 0, y: 40, z: 0}, private: true},
		{name: "Chess", private: true},
		{name: "GoblinTownExterior", private: true},
		
		{name: "AirNorth", position: {x: 0, y: 900, z: 10585}, rotation: {x: 0, y: -180, z: 0}, air: true, private: true},
		{name: "AirEast", position: {x: 10585, y: 900, z: 0}, rotation: {x: 0, y: -90, z: 0}, air: true, private: true},
		{name: "AirSouth", position: {x: 0, y: 900, z: -10585}, rotation: {x: 0, y: 0, z: 0}, air: true, private: true},
		{name: "AirWest", position: {x: -10585, y: 900, z: 0}, rotation: {x: 0, y: 90, z: 0}, air: true, private: true},
	],
	fishing: [
		{name: "Radioactive Ocean", position: {x: 0, y: 0, z: 0}, radius: 10000, maxFish: 10, fishes: [
			"RadiumFish",
			"SeaBass",
			"SeaBass",
			"SeaBass",
			"SeaBass"
		]}
	]
}
rooms["TobensOffice"] = {
	name: "Toben's Office",
	limit: 50,
	busy: false,
	scene: "TobensOffice",
	map: "ProvidenceIsland",
	pvp: true,
	spawns: [
		{name: "Spawn", position: {x: -5, y: 0, z: 0}, rotation: {x: 0, y: 90, z: 0}},
	]
}
rooms["DeadMansGuts"] = {
	name: "Dead Man's Guts",
	limit: 50,
	busy: false,
	scene: "DeadMansGuts",
	map: "ProvidenceIsland",
	pvp: true,
	spawns: [
		{name: "Spawn", position: {x: -49.14894, y: -18.57438, z: -61.80257}, rotation: {x: 0, y: -12, z: 0}},
		
		{name: "FromHeights", position: {x: -41.05, y: 20.94515, z: 142.86}, rotation: {x: 0, y: 187.382, z: 0}, private: true},
		{name: "FromJail", private: true},
		
		{name: "BotSpawn1", position: {x: -1.141371, y: -4.962371, z: -20.56932}, rotation: {x: 0, y: 355.401, z: 0}, private: true},
		{name: "BotSpawn2", position: {x: -38.8686, y: -6.27126, z: -10.713}, rotation: {x: 0, y: 93.39722, z: 0}, private: true},
		{name: "BotSpawn3", position: {x: -3.93071, y: -1.653782, z: 11.85085}, rotation: {x: 0, y: 251.735, z: 0}, private: true},
		{name: "BotSpawn4", position: {x: 0.348008, y: 5.903195, z: 93.70485}, rotation: {x: 0, y: 359.5366, z: 0}, private: true},
		{name: "BotSpawn5", position: {x: -16.85029, y: 13.06376, z: 121.8496}, rotation: {x: 0, y: 216.7033, z: 0}, private: true},
		{name: "BotSpawn6", position: {x: 15.04635, y: 13.46118, z: 122.8704}, rotation: {x: 0, y: 287.8834, z: 0}, private: true}
	]
}
rooms["KingsbayLighthouse"] = {
	name: "Kingsbay Lighthouse",
	limit: 50,
	busy: false,
	scene: "KingsbayLighthouse",
	map: "ProvidenceIsland",
	pvp: true,
	spawns: [
		{name: "Spawn", position: {x: 0, y: 0, z: 12.0755}, rotation: {x: 0, y: 180, z: 0}},
		
		{name: "FromTop", position: {x: -6.887799, y: 35.56432, z: 12.52886}, rotation: {x: 0, y: -111.265, z: 0}, private: true},
	]
}
rooms["LibertyHouse"] = {
	name: "Liberty House",
	limit: 50,
	busy: false,
	scene: "LibertyHouse",
	map: "ProvidenceIsland",
	pvp: true,
	spawns: [
		{name: "Spawn", position: {x: 0, y: 0, z: -4}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["DropTrapCaverns"] = {
	name: "Drop Trap Caverns",
	limit: 50,
	busy: false,
	scene: "DropTrapCaverns",
	map: "Island",
	spawns: [
		//{name: "Spawn", position: {x: -18.26, y: -1.592336, z: -0.16}, rotation: {x: 0, y: -92.00201, z: 0}},
		{name: "Entrance"},
		
		{name: "BotSpawn1", position: {x: -50.98053, y: -4.12652, z: -32.08338}, rotation: {x: 0, y: 171.2091, z: 0}, private: true},
		{name: "BotSpawn2", position: {x: -0.5913433, y: -17.0661, z: -86.60346}, rotation: {x: 0, y: 60.9635, z: 0}, private: true},
		{name: "BotSpawn3", position: {x: -21.42418, y: 9.909104, z: -30.80235}, rotation: {x: 0, y: 50.90983, z: 0}, private: true},
		{name: "BotSpawn4", position: {x: -0.7612631, y: -19.15508, z: -163.2818}, rotation: {x: 0, y: 210.7902, z: 0}, private: true},
		{name: "BotSpawn5", position: {x: -91.23164, y: -35.9589, z: -159.4724}, rotation: {x: 0, y: 263.702, z: 0}, private: true},
		{name: "BotSpawn6", position: {x: -97.04221, y: -42.24509, z: -219.8878}, rotation: {x: 0, y: 196.9973, z: 0}, private: true}
	]
}
rooms["RoyalSmithy"] = {
	name: "Royal Smithy",
	limit: 50,
	busy: false,
	scene: "RoyalSmithy",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 11.96, y: 0, z: -23.46}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["BleakCragsHollow"] = {
	name: "Bleak Crags Hollow",
	limit: 50,
	busy: false,
	scene: "BleakCragsHollow",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 3.38, y: -3.26, z: -0.1}, rotation: {x: 0, y: -178.314, z: 0}},
		{name: "FromIceMine", position: {x: -100, y: -36.97, z: 142.3585}, rotation: {x: 0, y: 180, z: 0}},
		
		{name: "BotSpawn1", position: {x: -24.98411, y: -8.724805, z: 1.335353}, rotation: {x: 0, y: 264.5035, z: 0}, private: true},
		{name: "BotSpawn2", position: {x: -60.19468, y: -14.49826, z: -3.637314}, rotation: {x: 0, y: 272.8562, z: 0}, private: true},
		{name: "BotSpawn3", position: {x: -64.01755, y: -13.97712, z: 17.50762}, rotation: {x: 0, y: 21.22705, z: 0}, private: true}
	]
}
rooms["Void"] = {
	name: "Void",
	limit: 100000,
	busy: true,
	scene: "Void",
	pvp: true,
	airAllow: true,
	spawns: [
		{name: "Spawn", position: {x: 0, y: 0.1, z: 0}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["Coliseum"] = {
	name: "Coliseum",
	limit: 100,
	busy: false,
	noPermDeath: true,
	scene: "Coliseum",
	map: "ProvidenceIsland",
	pvp: true,
	spawns: [
		{name: "Spawn", position: {x: 2.607778, y: 0, z: 37.47335}, rotation: {x: 0, y: 180, z: 0}},
	]
}
rooms["IglooClassic"] = {
	name: "Igloo",
	limit: 100,
	busy: false,
	scene: "IglooClassic",
	map: "Island",
	petSpawn: {x: 51.27, y: 11.99414, z: 14.08},
	spawns: [
		{name: "Spawn", position: {x: 0.3876258, y: 10.01817, z: 19.23}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["IglooEmpty"] = {
	name: "Igloo",
	limit: 100,
	busy: false,
	scene: "IglooEmpty",
	map: "Island",
	petSpawn: {x: 315.3, y: 11.0151, z: 274.4},
	spawns: [
		{name: "Spawn", position: {x: 304.2151, y: 10, z: 211.4035}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["IglooIceCave"] = {
	name: "Igloo",
	limit: 100,
	busy: false,
	scene: "IglooIceCave",
	map: "Island",
	petSpawn: {x: 0, y: -13, z: -36},
	spawns: [
		{name: "Spawn", position: {x: 0, y: -14.34, z: 0}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["IglooUnderwater"] = {
	name: "Igloo",
	limit: 100,
	busy: false,
	scene: "IglooUnderwater",
	map: "Island",
	petSpawn: {x: 201.6, y: -91.00897, z: 52.9},
	spawns: [
		{name: "Spawn", position: {x: 0, y: -80, z: 0}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["IglooForest"] = {
	name: "Igloo",
	limit: 100,
	busy: false,
	scene: "IglooForest",
	map: "Island",
	petSpawn: {x: 315.3, y: 11.99414, z: 274.4},
	spawns: [
		{name: "Spawn", position: {x: 249.88, y: 10.01817, z: 219.83}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["SpiderCave"] = {
	name: "Spider Cave",
	limit: 100,
	busy: false,
	scene: "SpiderCave",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: -7.24, y: -6.25, z: -0.56}, rotation: {x: 0, y: -85.441, z: 0}},
		
		{name: "SpawnBot1", position: {x: -72.15092, y: -34.87075, z: -0.126333}, rotation: {x: 0, y: 281.3688, z: 0}, private: true},
		{name: "SpawnBot2", position: {x: -149.3933, y: -98.54713, z: 28.98218}, rotation: {x: 0, y: 14.91853, z: 0}, private: true},
		{name: "SpawnBot3", position: {x: -191.0418, y: -94.07858, z: 39.53534}, rotation: {x: 0, y: 124.5076, z: 0}, private: true},
		{name: "SpawnBot4", position: {x: -190.9394, y: -91.5432, z: -8.836743}, rotation: {x: 0, y: 141.8793, z: 0}, private: true},
		{name: "SpawnBot5", position: {x: -194.9052, y: -91.71633, z: -4.769157}, rotation: {x: 0, y: 345.1751, z: 0}, private: true},
		{name: "SpawnBot6", position: {x: -179.1407, y: -116.2303, z: 111.3491}, rotation: {x: 0, y: 9.708429, z: 0}, private: true},
		{name: "SpawnBot7", position: {x: -169.6505, y: -152.6565, z: 205.4821}, rotation: {x: 0, y: 19.84161, z: 0}, private: true},
		{name: "SpawnBot8", position: {x: -153.1726, y: -223.3975, z: 1643.343}, rotation: {x: 0, y: 181.7317, z: 0}, private: true}
	]
}
rooms["IceMine"] = {
	name: "Ice Mines",
	limit: 100,
	busy: false,
	scene: "IceMine",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 0.31, y: -9.366889, z: -1.01}, rotation: {x: 0, y: 0, z: 0}},
		
		{name: "FromWarren", private: true},
		
		{name: "SpawnBot1", position: {x: 74.08186, y: 12.37599, z: 198.4146}, rotation: {x: 0, y: 90.40181, z: 0}, private: true},
		{name: "SpawnBot2", position: {x: -0.1616416, y: 1.725451, z: 195.9751}, rotation: {x: 0, y: 267.6074, z: 0}, private: true},
		{name: "SpawnBot3", position: {x: -93.30219, y: 0.2045711, z: 197.5919}, rotation: {x: 0, y: 267.3802, z: 0}, private: true},
		{name: "SpawnBot4", position: {x: 7.675532, y: -15.87739, z: 82.95759}, rotation: {x: 0, y: 219.899, z: 0}, private: true}
	]
}
rooms["CafeRoof"] = {
	name: "Cafe Roof",
	limit: 100,
	busy: false,
	scene: "CafeRoof",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 2.38, y: 3, z: 0.24}, rotation: {x: 0, y: -90, z: 0}},
	]
}
rooms["FurnShop"] = {
	name: "Furniture Shop",
	limit: 100,
	busy: false,
	scene: "FurnShop",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 0, y: 0, z: -4.7}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["WaterfallCave"] = {
	name: "Waterfall Cave",
	limit: 100,
	busy: false,
	scene: "WaterfallCave",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: -0.2356667, y: 2.74712, z: -40.1}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["CastleCrypt"] = {
	name: "Castle Crypt",
	limit: 100,
	busy: false,
	scene: "CastleCrypt",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Spawn", position: {x: 6.41, y: 3, z: -5.02}, rotation: {x: 0, y: -90, z: 0}},
		{name: "CellA", position: {x: -1.14, y: 3, z: 2.59}, rotation: {x: 0, y: -180, z: 0}, private: true},
		{name: "CellB", position: {x: -21.27, y: 3, z: -2.32}, rotation: {x: 0, y: -209, z: 0}, private: true},
	]
}
rooms["PetShop"] = {
	name: "Pet Shop",
	limit: 100,
	busy: false,
	scene: "PetShop",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 0, y: 0, z: -3.8}, rotation: {x: 0, y: 0, z: 0}},
		
		{name: "FromAquarium", private: true},
	]
}
rooms["Aquarium"] = {
	name: "Aquarium",
	limit: 100,
	busy: false,
	scene: "Aquarium",
	map: "Island",
	spawns: [
		{name: "Spawn"},
	]
}
rooms["Monastery"] = {
	name: "Monastery",
	limit: 100,
	busy: false,
	scene: "Monastery",
	map: "Island",
	spawns: [
		{name: "Spawn", position: {x: 0, y: 0, z: 15}, rotation: {x: 0, y: -180, z: 0}},
	]
}
rooms["Radion"] = {
	name: "The Radion",
	limit: 100,
	busy: false,
	scene: "Radion",
	map: "ProvidenceIsland",
	pvp: true,
	triggerAccessOnly: true,
	spawns: [
		{name: "Spawn", position: {x: -36.46, y: 19.94, z: -27.56}, rotation: {x: 0, y: -180, z: 0}},
	]
}
rooms["PurpleRealm"] = {
	name: "Purple Realm",
	limit: 100,
	busy: false,
	scene: "PurpleRealm",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Spawn", position: {x: 0, y: 0.5, z: 0}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["GuardianRealm"] = {
	name: "Guardian Realm",
	limit: 100,
	busy: false,
	scene: "GuardianRealm",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Spawn", position: {x: 0, y: 0.5, z: 0}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["InfernoRealm"] = {
	name: "Inferno Realm",
	limit: 100,
	busy: false,
	scene: "InfernoRealm",
	map: "Island",
	pvp: true,
	fireballs: {},
	spawns: [
		{name: "Spawn", position: {x: -242.097, y: 14.794, z: -172.614}, rotation: {x: 0, y: 0, z: 0}},
	]
}
rooms["AxelIsland"] = {
	name: "Axel Island",
	limit: 100,
	busy: false,
	scene: "AxelIsland",
	map: "AxelIsland",
	pvp: true,
	airAllow: true,
	spawns: [
		{name: "PortPolax", position: {x: 154.9315, y: 13.2, z: 313.6278}, rotation: {x: 0, y: -149.447, z: 0}},
		{name: "ShaftExterior", private: true},
		{name: "EarthHallExterior", private: true},
		
		{name: "AirNorth", position: {x: 0, y: 900, z: 10585}, rotation: {x: 0, y: -180, z: 0}, air: true, private: true},
		{name: "AirEast", position: {x: 10585, y: 900, z: 0}, rotation: {x: 0, y: -90, z: 0}, air: true, private: true},
		{name: "AirSouth", position: {x: 0, y: 900, z: -10585}, rotation: {x: 0, y: 0, z: 0}, air: true, private: true},
		{name: "AirWest", position: {x: -10585, y: 900, z: 0}, rotation: {x: 0, y: 90, z: 0}, air: true, private: true},
	]
}
rooms["AxelShaft"] = {
	name: "Axel Shaft",
	limit: 100,
	busy: false,
	scene: "AxelShaft",
	map: "AxelIsland",
	pvp: true,
	spawns: [
		{name: "ShaftEntrance"},
		{name: "SecretCityExterior", private: true},
	]
}
rooms["AxelSecretCity"] = {
	name: "Axel Secret City",
	limit: 100,
	busy: false,
	scene: "AxelSecretCity",
	map: "AxelIsland",
	pvp: true,
	spawns: [
		{name: "CityEntrance"},
		{name: "FromJail", private: true},
	]
}
rooms["EarthHall"] = {
	name: "Earth Hall",
	limit: 100,
	busy: false,
	scene: "EarthHall",
	map: "AxelIsland",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["Space"] = {
	name: "Space",
	limit: 10000,
	busy: false,
	scene: "Space",
	map: "Space",
	pvp: true,
	triggerAccessOnly: true,
	space: true,
	gravity: {x: 0, y: 0, z: 0},
	spawns: [
		{name: "ISS"},
		
		{
			name: "ISSExterior", 
			position: {x: -49624.09, y: 1986.795, z: -69543.59}, 
			rotation: {x: 0, y: -4.135, z: 0}, 
			private: true
		},
		{name: "Jupiter", private: true},
		{name: "Mars", private: true},
		{name: "Mercury", private: true},
		{name: "Saturn", private: true},
		{name: "Venus", private: true},
		{name: "Moon", private: true},
		{name: "FarOut", private: true},
		{name: "Sc", private: true},
		{name: "Sun", private: true}
	]
}
rooms["Moon"] = {
	name: "Moon",
	limit: 1000,
	busy: false,
	scene: "Moon",
	map: "Space",
	pvp: true,
	triggerAccessOnly: true,
	space: true,
	gravity: {x: 0, y: defaultGravityY * 0.16, z: 0},
	spawns: [
		{name: "Atmosphere"},
	]
}
rooms["Venus"] = {
	name: "Venus",
	limit: 1000,
	busy: false,
	scene: "Venus",
	map: "Space",
	pvp: true,
	triggerAccessOnly: true,
	space: true,
	gravity: {x: 0, y: defaultGravityY * 0.9, z: 0},
	spawns: [
		{name: "Atmosphere"},
		{name: "BaseExterior", private: true}
	]
}
rooms["Saturn"] = {
	name: "Saturn",
	limit: 1000,
	busy: false,
	scene: "Saturn",
	map: "Space",
	pvp: true,
	triggerAccessOnly: true,
	space: true,
	spawns: [
		{name: "Atmosphere"},
	]
}
rooms["Mars"] = {
	name: "Mars",
	limit: 1000,
	busy: false,
	scene: "Mars",
	map: "Space",
	pvp: true,
	triggerAccessOnly: true,
	space: true,
	gravity: {x: 0, y: defaultGravityY * 0.38, z: 0},
	spawns: [
		{name: "Atmosphere"},
	]
}
rooms["Jupiter"] = {
	name: "Jupiter",
	limit: 1000,
	busy: false,
	scene: "Jupiter",
	map: "Space",
	pvp: true,
	triggerAccessOnly: true,
	space: true,
	spawns: [
		{name: "Atmosphere"},
	]
}
rooms["Mercury"] = {
	name: "Mercury",
	limit: 1000,
	busy: false,
	scene: "Mercury",
	map: "Space",
	pvp: true,
	triggerAccessOnly: true,
	space: true,
	spawns: [
		{name: "Atmosphere"},
	]
}
rooms["Sun"] = {
	name: "Sun",
	limit: 1000,
	busy: false,
	scene: "Sun",
	map: "Space",
	pvp: true,
	triggerAccessOnly: true,
	space: true,
	spawns: [
		{name: "Atmosphere"},
	]
}
rooms["LaunchStation"] = {
	name: "Launch Station",
	limit: 100,
	busy: false,
	scene: "LaunchStation",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Entrance"},
		{name: "FromLadder", private: true},
	]
}
rooms["FurnBasement"] = {
	name: "Furniture Shop Basement",
	limit: 100,
	busy: false,
	scene: "FurnBasement",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Entrance"},
	]
}
rooms["ThronesCourtyard"] = {
	name: "Thrones Courtyard",
	limit: 100,
	busy: false,
	scene: "ThronesCourtyard",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Entrance"},
		{name: "Spa", private: true},
		{name: "FromMoth", private: true},
		{name: "FromDiningRoom", private: true},
	]
}
rooms["RoyalSpa"] = {
	name: "Royal Spa",
	limit: 100,
	busy: false,
	scene: "RoyalSpa",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Entrance"},
		{name: "TopL", private: true},
		{name: "TopR", private: true},
		{name: "FromBoiler", private: true},
	]
}
rooms["BoilerRoom"] = {
	name: "Boiler Room",
	limit: 100,
	busy: false,
	scene: "BoilerRoom",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Entrance"},
	]
}
rooms["Dorval"] = {
	name: "Dorval",
	limit: 100,
	busy: true,
	scene: "Dorval",
	map: "Dorval",
	pvp: true,
	airAllow: true,
	silent: true,
	meditate: true,
	ogMap: {
		"OG_Bonanza $2DVL": og({x: 250.1, y: 39.99268, z: -902.4}, {x: 0, y: 2.915851, z: 0}),
		"OG_Bonanza $1DVL": og({x: 317.5, y: 39.99268, z: -906.7}, {x: 0, y: 4.311361, z: 0}),
		"OG_Seahawk $1DVL": og({x: 280.9, y: 41.87124, z: -667.5}, {x: 0, y: 179.4333, z: 0}),
		"OG_Seahawk $2DVL": og({x: 314.5, y: 41.87124, z: -667.7}, {x: 0, y: 179.4333, z: 0}),
		"OG_BlackhawkUH60 $1DVL": og({x: 212.4902, y: 41.87124, z: -667.5546}, {x: 0, y: 180.1727, z: 0}),
		"OG_Beckett162NovaAir $1DVL": og({x: 110.9, y: 41.9446, z: -884.6}, {x: 0, y: 6.77657, z: 0}),
		"OG_Beckett162NovaAir $3DVL": og({x: 191.1, y: 41.9446, z: -894.2}, {x: 0, y: 6.77657, z: 0}),
		"OG_Beckett162NovaAir $2DVL": og({x: 153, y: 41.9446, z: -889.6}, {x: 0, y: 6.77657, z: 0}),
		"OG_AirvesselA320 $1DVL": og({x: 481.4, y: 40.10255, z: -916.4}, {x: 0, y: 325.7608, z: 0}),
		"OG_AirvesselA320ImperialAir $1DVL": og({x: 571.9, y: 40.10078, z: -907.8}, {x: 0, y: 325.7608, z: 0}),
		"OG_PremiairA16 $4DVL": og({x: 429.5, y: 40.24, z: -920.9}, {x: 0, y: 6.77657, z: 0}),
		"OG_PremiairA16 $3DVL": og({x: 388.3, y: 40.24, z: -916.0001}, {x: 0, y: 6.77657, z: 0}),
	},
	spawns: [
		{name: "Airport"},
		{name: "Sunderhouse"},
		{name: "Nightwatch"},
		{name: "Novaheights"},
		{name: "AirOffice"},
		{name: "MarshCave"},
		{name: "Shipwrights"},
		{name: "Fetucchini", position: {x: 35.2, y: 45.1, z: -209.8}, rotation: {x: 0, y: 63.4, z: 0}},
		
		{name: "SunderhouseExt", private: true},
		{name: "SunderBalcony", private: true},
		{name: "AirOfficeExt", private: true},
		{name: "MarshCaveExt", private: true},
		
		{name: "AirNorth", position: {x: 0, y: 900, z: 10585}, rotation: {x: 0, y: -180, z: 0}, air: true, private: true},
		{name: "AirEast", position: {x: 10585, y: 900, z: 0}, rotation: {x: 0, y: -90, z: 0}, air: true, private: true},
		{name: "AirSouth", position: {x: 0, y: 900, z: -10585}, rotation: {x: 0, y: 0, z: 0}, air: true, private: true},
		{name: "AirWest", position: {x: -10585, y: 900, z: 0}, rotation: {x: 0, y: 90, z: 0}, air: true, private: true},
	],
	fishing: [
		{name: "Arctic Ocean", position: {x: 0, y: 0, z: 0}, radius: 1000, maxFish: 0, fishes: [
			"SeaBass"
		]},
		{name: "Nova Pond", position: {x: -129.1, y: 37, z: 442}, radius: 20, maxFish: 8, fishes: [
			"SeaBass", "SeaBass", "BluefinTuna", "BluefinTuna", "ParadiseFish"
		]}
	]
}
rooms["Airland"] = {
	name: "Airland",
	limit: 100,
	busy: false,
	scene: "Airland",
	map: "Airland",
	pvp: true,
	airAllow: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["Sunderhouse"] = {
	name: "Sunder House",
	limit: 100,
	busy: false,
	scene: "Sunderhouse",
	map: "Dorval",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		{name: "Balcony", private: true},
		{name: "FromJail", private: true}
	]
}
rooms["AirOffice"] = {
	name: "Air Office",
	limit: 100,
	busy: false,
	scene: "AirOffice",
	map: "Dorval",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["MarshCave"] = {
	name: "Marsh Cave",
	limit: 100,
	busy: false,
	scene: "MarshCave",
	map: "Dorval",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		
		{name: "Q2Spawn", private: true, position: {x: -50.4, y: -23.1, z: 151}, rotation: {x: 0, y: 20, z: 0}}
	]
}
rooms["AchTo"] = {
	name: "Ach To",
	limit: 100,
	busy: false,
	scene: "AchTo",
	map: "Dorval",
	pvp: true,
	airAllow: true,
	meditate: true,
	spawns: [
		{name: "Spawn"},
		
		{name: "NovaCaveExt", private: true},
		
		{name: "AirNorth", position: {x: 0, y: 900, z: 10585}, rotation: {x: 0, y: -180, z: 0}, air: true, private: true},
		{name: "AirEast", position: {x: 10585, y: 900, z: 0}, rotation: {x: 0, y: -90, z: 0}, air: true, private: true},
		{name: "AirSouth", position: {x: 0, y: 900, z: -10585}, rotation: {x: 0, y: 0, z: 0}, air: true, private: true},
		{name: "AirWest", position: {x: -10585, y: 900, z: 0}, rotation: {x: 0, y: 90, z: 0}, air: true, private: true},
	]
}
rooms["NovaCave"] = {
	name: "Nova Cave",
	limit: 100,
	busy: false,
	scene: "NovaCave",
	map: "Dorval",
	pvp: true,
	meditate: true,
	spawns: [
		{name: "Spawn"},
		{name: "FromMelodyCave", private: true}
	]
}
rooms["MelodyCave"] = {
	name: "Melody Cave",
	limit: 100,
	busy: false,
	scene: "MelodyCave",
	map: "Dorval",
	pvp: true,
	meditate: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["DeadMansDungeons"] = {
	name: "Dead Man's Dungeons",
	limit: 100,
	busy: false,
	scene: "DeadMansDungeons",
	map: "Providence",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		{name: "CellA", private: true},
		{name: "CellB", private: true},
	]
}
rooms["SunderJail"] = {
	name: "Sunder House Jail",
	limit: 100,
	busy: false,
	scene: "SunderJail",
	map: "Dorval",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		{name: "CellA", private: true},
		{name: "CellB", private: true},
	]
}
rooms["AxelDungeon"] = {
	name: "Axel Dungeon",
	limit: 100,
	busy: false,
	scene: "AxelDungeon",
	map: "AxelIsland",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		{name: "CellA", private: true},
		{name: "CellB", private: true},
	]
}
rooms["Das"] = {
	name: "Das",
	limit: 100,
	busy: true,
	scene: "Das",
	map: "Das",
	pvp: true,
	airAllow: true,
	ogMap: {
		"OG_AirvesselA320DasAir $1DAS": og({x: -1080.8, y: 40.00732, z: -1279.8}, {x: 0, y: 212.394, z: 0}),
		"OG_Beckett162DasAir $2DAS": og({x: -974.2, y: 40.00732, z: -1334.7}, {x: 0, y: 209.4842, z: 0}),
		"OG_Eclipse550 $3DAS": og({x: -1129.2, y: 40.35, z: -1327.8}, {x: 0, y: 119.1771, z: 0}),
		"OG_Beckett162DasAir $4DAS": og({x: -900.1, y: 40.00732, z: -1376.6}, {x: 0, y: 209.4842, z: 0}),
		"OG_Beckett162DasAir $5DAS": og({x: -1008.3, y: 40.00732, z: -1315.4}, {x: 0, y: 209.4842, z: 0}),
		"OG_Beckett162DasAir $6DAS": og({x: -936.3, y: 40.00732, z: -1356.1}, {x: 0, y: 209.4842, z: 0}),
	},
	spawns: [
		{name: "Airport"},
		{name: "UbarSands"},
		{name: "Sanctum"},
		{name: "Lucre"},
		{name: "Outcast"},
		{name: "BlackGate"},
		{name: "BaraddurExterior", private: true},
		{name: "CirithUngolExterior", private: true},
		{name: "TowerOfGothmogExterior", private: true},
		{name: "MyfortExterior", private: true},
		{name: "MoltenCavernsExterior", private: true},
		{name: "WrathExterior", private: true},
		{name: "OrodoomExterior", private: true},
		{name: "AirNorth", position: {x: 0, y: 900, z: 10585}, rotation: {x: 0, y: -180, z: 0}, air: true, private: true},
		{name: "AirEast", position: {x: 10585, y: 900, z: 0}, rotation: {x: 0, y: -90, z: 0}, air: true, private: true},
		{name: "AirSouth", position: {x: 0, y: 900, z: -10585}, rotation: {x: 0, y: 0, z: 0}, air: true, private: true},
		{name: "AirWest", position: {x: -10585, y: 900, z: 0}, rotation: {x: 0, y: 90, z: 0}, air: true, private: true}
	]
}
rooms["DasAnim"] = {
	name: "Das (Animation)",
	limit: 100,
	busy: true,
	scene: "ANIMATION Das",
	map: "Das",
	pvp: true,
	airAllow: true,
	spawns: [
		{name: "BlackGate"},
	]
}
rooms["BaraddurCouncilChamber"] = {
	name: "Baraddur Council Chamber",
	limit: 100,
	busy: true,
	scene: "BaraddurCouncilChamber",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		{name: "Top", private: true},
		{name: "Bottom", private: true},
		{name: "FromGallery", private: true},
		{name: "FromAtheneum", private: true},
		{name: "FromBarracks", private: true},
	]
}
rooms["BaraddurAtheneum"] = {
	name: "Baraddur Atheneum",
	limit: 100,
	busy: true,
	scene: "BaraddurAtheneum",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		{name: "FromGallery", private: true},
		{name: "FromStoneworks", private: true},
		{name: "FromGrubhall", private: true},
	]
}
rooms["BaraddurGallery"] = {
	name: "Baraddur Gallery",
	limit: 100,
	busy: true,
	scene: "BaraddurGallery",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		{name: "FromBaths", private: true},
		{name: "FromGrubhall", private: true},
		{name: "FromBarracks", private: true},
	]
}
rooms["BaraddurBaths"] = {
	name: "Baraddur Baths",
	limit: 100,
	busy: true,
	scene: "BaraddurBaths",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
	]
}
rooms["BaraddurStoneworks"] = {
	name: "Baraddur Stone Works",
	limit: 100,
	busy: true,
	scene: "BaraddurStoneworks",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		
		{name: "FromMostEvil", private: true},
	]
}
rooms["BaraddurGrubhall"] = {
	name: "Baraddur Grubhall",
	limit: 100,
	busy: true,
	scene: "BaraddurGrubhall",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		{name: "FromAtheneum", private: true},
	]
}
rooms["BaraddurBarracks"] = {
	name: "Baraddur Barracks",
	limit: 100,
	busy: true,
	scene: "BaraddurBarracks",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		{name: "FromGallery", private: true},
		{name: "FromBarracks", private: true},
		{name: "FromDungeons", private: true}
	]
}
rooms["BaraddurDungeons"] = {
	name: "Baraddur Dungeons",
	limit: 100,
	busy: true,
	scene: "BaraddurDungeons",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		{name: "CellA", private: true},
		{name: "CellB", private: true},
	]
}
rooms["CirithUngol"] = {
	name: "Cirith Ungol",
	limit: 100,
	busy: true,
	scene: "CirithUngol",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
	]
}
rooms["TowerOfGothmog"] = {
	name: "Tower of Gothmog",
	limit: 100,
	busy: true,
	scene: "TowerOfGothmog",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
	]
}
rooms["Orodoom"] = {
	name: "Orodoom",
	limit: 100,
	busy: true,
	scene: "Orodoom",
	map: "Das",
	pvp: true,
	triggerAccessOnly: true,
	spawns: [
		{name: "Spawn"},
		
		{name: "MostEvil", private: true},
	]
}
rooms["Myfort"] = {
	name: "Myfort",
	limit: 100,
	busy: true,
	scene: "Myfort",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
	]
}
rooms["MoltenCaverns"] = {
	name: "Molten Caverns",
	limit: 100,
	busy: true,
	scene: "MoltenCaverns",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
	]
}
rooms["GoblinTown"] = {
	name: "Goblin Town",
	limit: 100,
	busy: true,
	scene: "GoblinTownNew",
	map: "ProvidenceIsland",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		
		{name: "SpawnP1", position: {x: -12.47964, y: -0.5891051, z: 47.35678}, rotation: {x: 0, y: 10.01383, z: 0}, private: true},
		{name: "Spawnp2", position: {x: -12.47964, y: -0.5891051, z: 47.35678}, rotation: {x: 0, y: 10.01383, z: 0}, private: true},
{name: "Spawn3", position: {x: 16.18239, y: -0.3714201, z: 57.83852}, rotation: {x: 0, y: 195.202, z: 0}, private: true},
{name: "Spawn4", position: {x: -2.295146, y: -26.17143, z: 97.83185}, rotation: {x: 0, y: 88.30492, z: 0}, private: true},
{name: "Spawn5", position: {x: -34.68481, y: -31.27607, z: 148.672}, rotation: {x: 0, y: 116.0408, z: 0}, private: true},
{name: "Spawn6", position: {x: 47.33218, y: -31.27605, z: 145.3988}, rotation: {x: 0, y: 223.4861, z: 0}, private: true},
{name: "Spawn7", position: {x: -15.14065, y: -31.27609, z: 150.887}, rotation: {x: 0, y: 240.6721, z: 0}, private: true},
{name: "Spawn8", position: {x: -18.79023, y: -31.27609, z: 138.633}, rotation: {x: 0, y: 223.0262, z: 0}, private: true},
{name: "Spawn9", position: {x: 13.02106, y: -31.2761, z: 139.9489}, rotation: {x: 0, y: 103.2261, z: 0}, private: true},
{name: "Spawn10", position: {x: 19.86193, y: -31.27609, z: 153.0517}, rotation: {x: 0, y: 6.021073, z: 0}, private: true},
{name: "Spawn11", position: {x: -2.856206, y: -32.13665, z: 162.4959}, rotation: {x: 0, y: 302.0202, z: 0}, private: true},
{name: "Spawn12", position: {x: -0.8196344, y: -43.48977, z: 203.2022}, rotation: {x: 0, y: 9.226603, z: 0}, private: true},
{name: "Spawn13", position: {x: -0.8715019, y: -94.495, z: 323.0824}, rotation: {x: 0, y: 0.7207263, z: 0}, private: true},
{name: "Spawn14", position: {x: 2.965539, y: -100.8767, z: 393.1386}, rotation: {x: 0, y: 172.9654, z: 0}, private: true},
{name: "Spawn15", position: {x: 1.104376, y: -106.3593, z: 421.7168}, rotation: {x: 0, y: 1.564421, z: 0}, private: true},
{name: "Spawn16", position: {x: -4.918031, y: -115.4199, z: 448.6008}, rotation: {x: 0, y: 334.6673, z: 0}, private: true},
{name: "Spawn17", position: {x: 0.852978, y: -118.3761, z: 512.7174}, rotation: {x: 0, y: 20.39973, z: 0}, private: true},
{name: "Spawn18", position: {x: 0.1645125, y: -112.9399, z: 569.6993}, rotation: {x: 0, y: 1.741205, z: 0}, private: true},
{name: "Spawn19", position: {x: 0.7813662, y: -107.2856, z: 652.9877}, rotation: {x: 0, y: 5.655371, z: 0}, private: true},
{name: "Spawn20", position: {x: 4.183245, y: -108.687, z: 782.9011}, rotation: {x: 0, y: 0.8487918, z: 0}, private: true},
	]
}
rooms["ImperialBank"] = {
	name: "Imperial Bank",
	limit: 100,
	busy: false,
	scene: "ImperialBank",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		{name: "FromChambers", private: true},
		{name: "FromBankAcc", private: true}
	]
}
rooms["ImperialBankChambers"] = {
	name: "Imperial Bank Chambers",
	limit: 100,
	busy: false,
	scene: "ImperialBankChambers",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["ImperialBankAccount"] = {
	name: "Imperial Bank Account",
	limit: 100,
	busy: false,
	scene: "ImperialBankAccount",
	map: "Island",
	pvp: true,
	multiplayer: false,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["Cobia"] = {
	name: "Cobia",
	limit: 100,
	busy: false,
	scene: "Cobia",
	map: "Cobia",
	pvp: true,
	airAllow: true,
	meditate: true,
	ogMap: {
		/*"OG_SailBoat (1)": og({x: -544.8115, y: 33.3, z: 1180.062}, {x: 0, y: 42.53314, z: 0}),
		"OG_Jeep": og({x: -381.2924, y: 39.99268, z: 448.0485}, {x: 0, y: 185.8999, z: 0}),
		"OG_Beckett162 $1COB": og({x: -448.3, y: 39.61, z: 514.5}, {x: 0, y: 6.77657, z: 0}),
		"OG_SailBoat (3)": og({x: -684, y: 30.1, z: -1877}, {x: 0, y: 292.384, z: 0}),
		"OG_SailBoat": og({x: -249.7, y: 33.2, z: 675}, {x: 0, y: 2.514754, z: 0}),
		"OG_Beckett162 $2COB": og({x: -514.1014, y: 39.73, z: 522.3444}, {x: 0, y: 6.77657, z: 0}),
		"OG_Seahawk $3COB": og({x: -285.2892, y: 40.94753, z: 573.6752}, {x: 0, y: 0, z: 0}),
		"OG_Eclipse550 $4COB": og({x: -336.9308, y: 39.99268, z: 534.5966}, {x: 0, y: 278.3337, z: 0}),
		"OG_Beckett162 $5COB": og({x: -481.8015, y: 39.73, z: 518.4445}, {x: 0, y: 6.77657, z: 0}),
		"OG_SailBoat (2)": og({x: -1254.474, y: 33.4, z: 192.3127}, {x: 0, y: 195.3738, z: 0}),*/
	},
	spawns: [
		{name: "Spawn"},
		{name: "Dock"},
		{name: "Airport"},
		{name: "Bosque"},
		{name: "Cobofort"},
		{name: "Stadium"},
		
		{name: "FangscaveExterior", private: true},
		{name: "StadiumExterior", private: true},
		{name: "CobofortExterior", private: true},
		{name: "ArdaTempleExterior", private: true},
		
		{name: "AirNorth", position: {x: 0, y: 900, z: 10585}, rotation: {x: 0, y: -180, z: 0}, air: true, private: true},
		{name: "AirEast", position: {x: 10585, y: 900, z: 0}, rotation: {x: 0, y: -90, z: 0}, air: true, private: true},
		{name: "AirSouth", position: {x: 0, y: 900, z: -10585}, rotation: {x: 0, y: 0, z: 0}, air: true, private: true},
		{name: "AirWest", position: {x: -10585, y: 900, z: 0}, rotation: {x: 0, y: 90, z: 0}, air: true, private: true}
	]
}
rooms["Fangscave"] = {
	name: "Fangscave",
	limit: 100,
	busy: false,
	scene: "Fangscave",
	map: "Cobia",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		
		{name: "BotSpawn1", position: {x: -107.0157, y: -49.91764, z: -15.71261}, rotation: {x: 0, y: 25.80703, z: 0}, private: true},
		{name: "BotSpawn2", position: {x: -115.6644, y: -49.35489, z: 6.787265}, rotation: {x: 0, y: 321.8649, z: 0}, private: true},
		{name: "BotSpawn3", position: {x: -76.76388, y: -50.09475, z: -1.503474}, rotation: {x: 0, y: 88.46494, z: 0}, private: true},
		{name: "BotSpawn4", position: {x: -21.48592, y: -8.454288, z: -0.7537094}, rotation: {x: 0, y: 99.88482, z: 0}, private: true}
	]
}
rooms["Cobofort"] = {
	name: "Cobo Fort",
	limit: 100,
	busy: false,
	scene: "Cobofort",
	map: "Cobia",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		
		{name: "FromDungeon", private: true}
	]
}
rooms["CoboDungeon"] = {
	name: "Cobo Dungeon",
	limit: 100,
	busy: false,
	scene: "CoboDungeon",
	map: "Cobia",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["Stadium"] = {
	name: "Stadium",
	limit: 100,
	busy: false,
	scene: "Stadium",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	],
	match: null,
	defaultMatchLength: 600
}
rooms["VengeanceBase"] = {
	name: "Vengeance Base",
	limit: 1000,
	busy: false,
	scene: "VengeanceBase",
	map: "Space",
	pvp: true,
	triggerAccessOnly: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["StoneIsle"] = {
	name: "Stone Isle",
	limit: 1000,
	busy: false,
	scene: "StoneIsle",
	map: "StoneIsle",
	pvp: true,
	airAllow: true,
	meditate: true,
	persistentWeather: true,
	ogMap: {
		"OG_Beckett162NovaAir $1STL": og({x: -449.8, y: 53.8, z: -22.8}, {x: 0, y: 295.6794, z: 0}),
		"OG_Bonanza $1STL": og({x: -438.1, y: 53.49, z: 10.6}, {x: 0, y: 263.6925, z: 0}),
	},
	spawns: [
		{name: "Spawn"},
		{name: "Airport"},
		{name: "Khaduz", private: true},
		{name: "Humm", private: true},
		{name: "BATTLEPOINT", position: {x: -260.5273, y: 59.3, z: 1196.926}, rotation: {x: 0, y: 112.329, z: 0}},
		
		{name: "AirNorth", position: {x: 0, y: 900, z: 10585}, rotation: {x: 0, y: -180, z: 0}, air: true, private: true},
		{name: "AirEast", position: {x: 10585, y: 900, z: 0}, rotation: {x: 0, y: -90, z: 0}, air: true, private: true},
		{name: "AirSouth", position: {x: 0, y: 900, z: -10585}, rotation: {x: 0, y: 0, z: 0}, air: true, private: true},
		{name: "AirWest", position: {x: -10585, y: 900, z: 0}, rotation: {x: 0, y: 90, z: 0}, air: true, private: true}
	]
}
/*rooms["Khaduz"] = {
	name: "Khaduz",
	limit: 1000,
	busy: false,
	scene: "Khaduz",
	map: "StoneIsle",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	]
}*/
rooms["Humm"] = {
	name: "Humm",
	limit: 1000,
	busy: false,
	scene: "Humm",
	map: "StoneIsle",
	pvp: true,
	meditate: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["HummNew"] = {
	name: "Humm New",
	limit: 1000,
	busy: false,
	scene: "HummNew",
	map: "StoneIsle",
	pvp: true,
	meditate: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["Wrath"] = {
	name: "Wrath Caverns",
	limit: 1000,
	busy: false,
	scene: "Wrath",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		
		{name: "FromPurge", private: true},
		{name: "FromPurgeUnchained", private: true},
		{name: "FromVs", private: true},
		{name: "FromSkirmish", private: true},
		{name: "FromBlast", private: true},
	]
}
rooms["CinemaLobby"] = {
	name: "Cinema Lobby",
	limit: 100,
	busy: false,
	scene: "CinemaLobby",
	map: "",
	pvp: true,
	spawns: [
		{name: "Spawn"},
		
		{name: "Cinema1", private: true},
		{name: "Cinema2", private: true}
	]
}
rooms["Cinema"] = {
	name: "Cinema",
	limit: 100,
	busy: false,
	scene: "Cinema",
	map: "",
	pvp: true,
	noIdleTimeout: true,
	spawns: [
		{name: "Cinema1"},
		{name: "Cinema2"}
	]
}
rooms["LobbyPurge"] = {
	name: "Purge Lobby",
	limit: 20,
	busy: false,
	scene: "WrathLobbyPurge",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	],
	
	lobbyConfig: {
		gameId: "purge",
		maxUsers: 20,
		minUsers: 2,
		maps: null,
		inventoryOverride: {
			"IronArmor": 1,
			"IronVikingHelmet": 1
		},
		equipOverride: {
			head: "",
			face: "",
			neck: "",
			body: "",
			feet: "",
			hands: "",
			rhand: ""
		},
		healthOverride: 20,
		blockPowers: true,
		deathItemInherit: true,
		minActivePlayers: 1,
		//regenMultiplier: 10
	}
}
rooms["LobbyPurgeUnchained"] = {
	name: "Purge Unchained Lobby",
	limit: 20,
	busy: false,
	scene: "WrathLobbyPurgeUnchained",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	],
	
	lobbyConfig: {
		gameId: "purge",
		maxUsers: 20,
		minUsers: 2,
		maps: null,
		noInsMap: true,
		minActivePlayers: 1,
		//regenMultiplier: 10
	}
}
rooms["LobbyFFA"] = {
	name: "FFA Lobby",
	limit: 20,
	busy: false,
	scene: "WrathLobbyFFA",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	],
	
	lobbyConfig: {
		gameId: "vs",
		maxUsers: 20,
		minUsers: 2,
		inventoryOverride: {
			"IronArmor": 1,
			"IronVikingHelmet": 1
		},
		equipOverride: {
			head: "",
			face: "",
			neck: "",
			body: "",
			feet: "",
			hands: "",
			rhand: ""
		},
		healthOverride: 20,
		blockPowers: true,
		//deathItemInherit: true,
		maps: null,
		respawnSecs: 15,
		//noInsMap: true,
		timeLimit: 600,
		minActivePlayers: 2,
		regenMultiplier: 10,
		goalKOs: 10
	},
	lobbyConfig2: {
		gameId: "vs",
		maxUsers: 20,
		minUsers: 2,
		maps: null,
		respawnSecs: 15,
		//noInsMap: true,
		timeLimit: 600,
		minActivePlayers: 2,
		regenMultiplier: 10,
		goalKOs: 10
	}
}
rooms["LobbySkirmish"] = {
	name: "Skirmish Lobby",
	limit: 5,
	busy: false,
	scene: "WrathLobbySkirmish",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	],
	
	lobbyConfig: {
		gameId: "skirmish",
		maxUsers: 5,
		minUsers: 2,
		maps: ["WrathForest", "WrathCaves", "WrathArctic"],
		respawnSecs: 15,
		noInsMap: true,
		timeLimit: 600,
		minActivePlayers: 1,
		regenMultiplier: 5
	}
}
rooms["LobbySkirmishSolo"] = {
	name: "Solo Skirmish Lobby",
	limit: 5,
	busy: false,
	scene: "WrathLobbySkirmish",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	],
	
	lobbyConfig: {
		gameId: "skirmish",
		maxUsers: 1,
		minUsers: 1,
		maps: ["WrathForest", "WrathCaves", "WrathArctic"],
		respawnSecs: 10,
		noInsMap: true,
		timeLimit: 600,
		minActivePlayers: 1,
		regenMultiplier: 5
	}
}
rooms["LobbyBlast"] = {
	name: "Blast FFA Lobby",
	limit: 20,
	busy: false,
	scene: "WrathLobbyBlast",
	map: "Das",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	],
	
	lobbyConfig: {
		gameId: "vs",
		maxUsers: 10,
		minUsers: 2,
		inventoryOverride: {
			"IronArmor": 1,
			"IronVikingHelmet": 1,
			"RadiumSaber": 1,
			"InfernalSaber": 1,
			"FrosticeSaber": 1
		},
		equipOverride: {
			head: "",
			face: "",
			neck: "",
			body: "",
			feet: "",
			hands: "",
			rhand: ""
		},
		healthOverride: 50,
		blockPowers: true,
		//deathItemInherit: true,
		maps: null,
		respawnSecs: 10,
		//noInsMap: true,
		timeLimit: 600,
		minActivePlayers: 2,
		regenMultiplier: 10,
		goalKOs: 10,
		insMapOverride: "%room%_Blast"
	}
}
rooms["WrathForest"] = {
	name: "Forest",
	limit: 20,
	busy: false,
	scene: "WrathForest",
	map: "",
	pvp: true,
	prefab: true,
	spawns: [
		{name: "S1"}, {name: "S2"}, {name: "S3"}, {name: "S4"}, {name: "S5"}, {name: "S6"}, {name: "S7"}, {name: "S8"}, {name: "S9"}, {name: "S10"}, {name: "S11"}, {name: "S12"}, {name: "S13"}, {name: "S14"}, {name: "S15"}, {name: "S16"}, {name: "S17"}, {name: "S18"}, {name: "S19"}, {name: "S20"}, {name: "Spectate", private: true}
	],
	loadInsMapFromFile: true
}
rooms["WrathCaves"] = {
	name: "Caves",
	limit: 20,
	busy: false,
	scene: "WrathCaves",
	map: "",
	pvp: true,
	prefab: true,
	spawns: [
		{name: "S1"}, {name: "S2"}, {name: "S3"}, {name: "S4"}, {name: "S5"}, {name: "S6"}, {name: "S7"}, {name: "S8"}, {name: "S9"}, {name: "S10"}, {name: "S11"}, {name: "S12"}, {name: "S13"}, {name: "S14"}, {name: "S15"}, {name: "S16"}, {name: "S17"}, {name: "S18"}, {name: "S19"}, {name: "S20"}, {name: "Spectate", private: true}
	],
	loadInsMapFromFile: true
}
rooms["WrathDimension"] = {
	name: "Dimension",
	limit: 20,
	busy: false,
	scene: "WrathDimension",
	map: "",
	pvp: true,
	prefab: true,
	spawns: [
		{name: "S1"}, {name: "S2"}, {name: "S3"}, {name: "S4"}, {name: "S5"}, {name: "S6"}, {name: "S7"}, {name: "S8"}, {name: "S9"}, {name: "S10"}, {name: "S11"}, {name: "S12"}, {name: "S13"}, {name: "S14"}, {name: "S15"}, {name: "S16"}, {name: "S17"}, {name: "S18"}, {name: "S19"}, {name: "S20"}, {name: "Spectate", private: true}
	],
	loadInsMapFromFile: true
}
rooms["WrathMoltenRuins"] = {
	name: "Molten Ruins",
	limit: 20,
	busy: false,
	scene: "WrathMoltenRuins",
	map: "",
	pvp: true,
	prefab: true,
	spawns: [
		{name: "S1"}, {name: "S2"}, {name: "S3"}, {name: "S4"}, {name: "S5"}, {name: "S6"}, {name: "S7"}, {name: "S8"}, {name: "S9"}, {name: "S10"}, {name: "S11"}, {name: "S12"}, {name: "S13"}, {name: "S14"}, {name: "S15"}, {name: "S16"}, {name: "S17"}, {name: "S18"}, {name: "S19"}, {name: "S20"}, {name: "Spectate", private: true}
	],
	loadInsMapFromFile: true
}
rooms["WrathArctic"] = {
	name: "Arctic",
	limit: 20,
	busy: false,
	scene: "WrathArctic",
	map: "",
	pvp: true,
	//prefab: true,
	spawns: [
		{name: "S1"}, {name: "S2"}, {name: "S3"}, {name: "S4"}, {name: "S5"}, {name: "S6"}, {name: "S7"}, {name: "S8"}, {name: "S9"}, {name: "S10"}, {name: "S11"}, {name: "S12"}, {name: "S13"}, {name: "S14"}, {name: "S15"}, {name: "S16"}, {name: "S17"}, {name: "S18"}, {name: "S19"}, {name: "S20"}, {name: "Spectate", private: true}
	],
	loadInsMapFromFile: true
}
rooms["WrathToilet"] = {
	name: "Toilet",
	limit: 20,
	busy: false,
	scene: "WrathToilet",
	map: "",
	pvp: true,
	//prefab: true,
	spawns: [
		{name: "S1"}, {name: "S2"}, {name: "S3"}, {name: "S4"}, {name: "S5"}, {name: "S6"}, {name: "S7"}, {name: "S8"}, {name: "S9"}, {name: "S10"}, {name: "S11"}, {name: "S12"}, {name: "S13"}, {name: "S14"}, {name: "S15"}, {name: "S16"}, {name: "S17"}, {name: "S18"}, {name: "S19"}, {name: "S20"}, {name: "Spectate", private: true}
	],
	loadInsMapFromFile: true
}
rooms["BallRoom"] = {
	name: "Ball Room",
	limit: 100,
	busy: false,
	scene: "BallRoom",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["DrakeCarrier457"] = {
	name: "Drake Carrier",
	limit: 100,
	busy: false,
	scene: "DrakeCarrier",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["ArdaTemple"] = {
	name: "Arda Temple",
	limit: 100,
	busy: false,
	scene: "ArdaTemple",
	map: "Cobia",
	pvp: true,
	meditate: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["WarrenWoundCaverns"] = {
	name: "Warren Wound Caverns",
	limit: 100,
	busy: false,
	scene: "WarrenWoundCaverns",
	map: "Island",
	pvp: true,
	triggerAccessOnly: true,
	spawns: [
		{name: "Spawn"},
		{name: "gce", position: {x: -176.6646, y: -141.1942, z: -35.6621}, rotation: {x: 0, y: 112.329, z: 0}, private: true},
		{name: "GCGates", private: true},
	]
}
rooms["GoldCity"] = {
	name: "Gold City",
	limit: 100,
	busy: false,
	scene: "GoldCity",
	map: "Island",
	pvp: true,
	triggerAccessOnly: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["GNZ11"] = {
	name: "GNZ-11",
	limit: 100,
	busy: false,
	scene: "GNZ11",
	map: "Space",
	pvp: true,
	meditate: true,
	space: true,
	tag: "gnz11",
	gravity: {x: 0, y: 0, z: 0},
	spawns: [
		{name: "Spawn"}
	]
}
rooms["Utilles"] = {
	name: "Utilles",
	limit: 100,
	busy: false,
	scene: "Utilles",
	map: "Space",
	pvp: true,
	meditate: true,
	triggerAccessOnly: true,
	space: true,
	tag: "gnz11",
	gravity: {x: 0, y: defaultGravityY * 0.48, z: 0},
	spawns: [
		{name: "Atmosphere"},
		
		{name: "StarPalaceExterior", private: true}
	]
}
rooms["StarPalace"] = {
	name: "Star Palace",
	limit: 100,
	busy: false,
	scene: "StarPalace",
	map: "Space",
	pvp: true,
	meditate: true,
	triggerAccessOnly: true,
	space: true,
	tag: "gnz11",
	gravity: {x: 0, y: defaultGravityY * 0.48, z: 0},
	spawns: [
		{name: "Spawn"},
		
		{name: "FromBedroom", private: true},
		{name: "Bedroom", private: true}
	]
}
rooms["Beleriand"] = {
	name: "Beleriand",
	limit: 100,
	busy: false,
	scene: "Beleriand",
	map: "Beleriand",
	pvp: true,
	airAllow: true,
	tag: "beleriand",
	spawns: [
		//{name: "Spawn"},
		{name: "Gondolin"},
		{name: "Nargothrond"},
		{name: "EredGorgor"},
		{name: "Vinyamar"},
		{name: "Himring"},
		{name: "Menegroth"},
		{name: "Doriath"},
		{name: "Brithombar"},
		
		{name: "NargExterior", private: true},
		{name: "EredExt", private: true},
		{name: "GorgorBackway", private: true},
		{name: "VinBridgeExt", private: true},
		{name: "VinGatehouseExt", private: true},
		{name: "VinyamarExt", private: true},
		{name: "GondolinExt", private: true},
		{name: "HimringExt", private: true},
		{name: "HimringTop", private: true},
		{name: "MenegrothExt", private: true},
	]
}
rooms["NargCourtyard"] = {
	name: "Nargothrond Courtyard",
	limit: 100,
	busy: false,
	scene: "NargCourtyard",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		
		{name: "FromNarg", private: true}
	]
}
rooms["Nargothrond"] = {
	name: "Nargothrond",
	limit: 100,
	busy: false,
	scene: "Nargothrond",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		
		{name: "NargUpper", private: true},
		{name: "NargLower", private: true},
		{name: "CastleExt", private: true},
		{name: "BalconyExt", private: true},
		
		{name: "NargCabin1Ext", private: true},
		{name: "NargCabin2Ext", private: true},
		{name: "NargCabin3Ext", private: true},
		{name: "NargCabin4Ext", private: true},
		{name: "NargCabin5Ext", private: true},
		{name: "NargCabin6Ext", private: true},
		{name: "NargCabin7Ext", private: true},
		{name: "NargCabin8Ext", private: true}
	]
}
rooms["NargCabin"] = {
	name: "Nargothrond Cabin",
	limit: 100,
	busy: false,
	scene: "NargCabin",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	lockFailMessage: "This cabin is locked",
	spawns: [
		{name: "Spawn"}
	]
}
rooms["NargCastle"] = {
	name: "Nargothrond Castle",
	limit: 100,
	busy: false,
	scene: "NargCastle",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		
		{name: "Top", private: true},
		{name: "FromBalcony", private: true},
		{name: "FromTop", private: true},
		{name: "FromBasement", private: true},
		{name: "Basement", private: true},
		{name: "FromCave", private: true},
	]
}
rooms["NargCave"] = {
	name: "Secret Cave",
	limit: 100,
	busy: false,
	scene: "NargCave",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"}
	]
}
rooms["EredGorgorPorch"] = {
	name: "Ered Gorgoroth",
	limit: 100,
	busy: false,
	scene: "EredGorgorPorch",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		
		{name: "FromGorgor", private: true}
	]
}
rooms["EredGorgor"] = {
	name: "Ered Gorgoroth",
	limit: 100,
	busy: false,
	scene: "EredGorgor",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		
		{name: "Backway", private: true},
		{name: "FromJail", private: true}
	]
}
rooms["EredGorgorJail"] = {
	name: "Ered Gorgoroth Jail",
	limit: 100,
	busy: false,
	scene: "EredGorgorJail",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		
		{name: "CellA", private: true},
		{name: "CellB", private: true}
	]
}
rooms["VinyamarCastle"] = {
	name: "Vinyamar Castle",
	limit: 100,
	busy: false,
	scene: "VinyamarCastle",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		
		{name: "FromJail", private: true},
		{name: "FromBridge", private: true}
	]
}
rooms["VinyamarJail"] = {
	name: "Vinyamar Jail",
	limit: 100,
	busy: false,
	scene: "VinyamarJail",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		
		{name: "CellA", private: true},
		{name: "CellB", private: true}
	]
}
rooms["VinyamarGatehouse"] = {
	name: "Vinyamar Gatehouse",
	limit: 100,
	busy: false,
	scene: "VinyamarGatehouse",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		
		{name: "FromGround", private: true},
		{name: "Ground", private: true}
	]
}
rooms["Gondolin"] = {
	name: "Gondolin Castle",
	limit: 100,
	busy: false,
	scene: "Gondolin",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		
		{name: "FromJail", private: true}
	]
}
rooms["GondolinJail"] = {
	name: "Gondolin Jail",
	limit: 100,
	busy: false,
	scene: "GondolinJail",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		{name: "CellA", private: true},
		{name: "CellB", private: true}
	]
}
rooms["Himring"] = {
	name: "Fort Himring",
	limit: 100,
	busy: false,
	scene: "Himring",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		
		{name: "FromTop", private: true},
	]
}
rooms["Menegroth"] = {
	name: "Menegroth",
	limit: 100,
	busy: false,
	scene: "Menegroth",
	map: "Beleriand",
	pvp: true,
	tag: "beleriand",
	spawns: [
		{name: "Spawn"},
		
		{name: "CellA", private: true},
		{name: "CellB", private: true}
	]
}
rooms["Firmament"] = {
	name: "Firmament",
	limit: 100,
	busy: false,
	scene: "Firmament",
	pvp: false,
	tag: "th",
	gravity: {x: 0, y: 2, z: 0},
	spawns: [
		{name: "Spawn"}
	]
}
rooms["Andromeda"] = {
	name: "Andromeda",
	limit: 100,
	busy: false,
	scene: "Andromeda",
	map: "Space",
	pvp: true,
	meditate: true,
	space: true,
	tag: "andromeda",
	gravity: {x: 0, y: 0, z: 0},
	spawns: [
		{name: "Spawn"}
	]
}
rooms["PrivateChambers"] = {
	name: "Private Chambers",
	limit: 100,
	busy: false,
	scene: "PrivateChambers",
	map: "Island",
	pvp: true,
	staff: true,
	spawns: [
		{name: "Spawn"},
		{name: "FromLibrary", private: true}
	]
}
rooms["CaptainsQuarters"] = {
	name: "Captain's Quarters",
	limit: 100,
	busy: false,
	scene: "CaptainsQuarters",
	map: "Island",
	pvp: true,
	spawns: [
		{name: "Spawn"}
	]
}
rooms["IOK01"] = {
	name: "IOK-01",
	limit: 100,
	busy: false,
	scene: "IOK01",
	map: "Space",
	pvp: true,
	meditate: true,
	space: true,
	tag: "iok1",
	gravity: {x: 0, y: 0, z: 0},
	spawns: [
		{name: "Spawn"},
		{name: "FromIOKHouse", private: true}
	]
}
rooms["IOKHouse"] = {
	name: "IOK-01 House",
	limit: 100,
	busy: false,
	scene: "IOKHouse",
	map: "Space",
	pvp: true,
	meditate: false,
	space: true,
	tag: "iok1",
	gravity: {x: 0, y: 0, z: 0},
	spawns: [
		{name: "Spawn"}
	]
}
rooms["WildSpace"] = {
	name: "Wild Space",
	limit: 100,
	busy: false,
	scene: "WildSpace",
	map: null,
	pvp: true,
	meditate: true,
	space: true,
	tag: "wildspacex",
	gravity: {x: 0, y: 0, z: 0},
	spawns: [
		{name: "Spawn"}
	]
}
rooms["Malacoth"] = {
	name: "Malacoth",
	limit: 100,
	busy: false,
	scene: "Malacoth",
	map: null,
	pvp: true,
	meditate: true,
	triggerAccessOnly: true,
	space: true,
	tag: "wildspacex",
	gravity: {x: 0, y: defaultGravityY * 2.5, z: 0},
	spawns: [
		{name: "Atmosphere"},
		
		{name: "TempleExterior", private: true}
	]
}
rooms["TempleOfTheAncients"] = {
	name: "Temple Of The Ancients",
	limit: 100,
	busy: false,
	scene: "TempleOfTheAncients",
	map: null,
	pvp: true,
	meditate: true,
	triggerAccessOnly: true,
	tag: "wildspacex",
	gravity: {x: 0, y: defaultGravityY * 2.5, z: 0},
	spawns: [
		{name: "Spawn"},
		{name: "TopFloor", private: true},
		{name: "BottomFloor", private: true}
	]
}


rooms["NargCabin1"] = JSON.parse(JSON.stringify(rooms["NargCabin"]));
rooms["NargCabin2"] = JSON.parse(JSON.stringify(rooms["NargCabin"]));
rooms["NargCabin3"] = JSON.parse(JSON.stringify(rooms["NargCabin"]));
rooms["NargCabin4"] = JSON.parse(JSON.stringify(rooms["NargCabin"]));
rooms["NargCabin5"] = JSON.parse(JSON.stringify(rooms["NargCabin"]));
rooms["NargCabin6"] = JSON.parse(JSON.stringify(rooms["NargCabin"]));
rooms["NargCabin7"] = JSON.parse(JSON.stringify(rooms["NargCabin"]));
rooms["NargCabin8"] = JSON.parse(JSON.stringify(rooms["NargCabin"]));

////////////////////////////////////////
//// Game Rooms
////////////////////////////////////////

rooms["CartRiding"] = {
	name: "Cart Riding",
	scene: "Game_CartRiding",
	game: {},
	spawns: [
		{name: "Spawn"},
	]
}

rooms["Aircourse"] = {
	name: "Aircourse",
	scene: "Game_Aircourse",
	game: {
		multiplayer: true,
		startLives: 3
	},
	airAllow: true,
	noPermDeath: true, // Death shouldn't be possible in a practice room
	ogMap: {"OG_Eclipse550 $1": og({x: 1258.2, y: 10.4, z: 1674.8}, {x: 0, y: 177.6184, z: 0}),
"OG_AirvesselA320 $4": og({x: 1397, y: 9.998169, z: 1689.3}, {x: 0, y: 181.8675, z: 0}),
"OG_Beckett162NovaAir $3": og({x: 1341.2, y: 9.998173, z: 1674.1}, {x: 0, y: 180.9953, z: 0}),
"OG_PremiairA16 $2": og({x: 1304.2, y: 9.998165, z: 1670.8}, {x: 0, y: 179.1548, z: 0})},
	spawns: [
		{name: "Spawn", position: {x: 1327, y: 10, z: 1688.4}, rotation: {x: 0, y: 180, z: 0}},
	]
}